===================== 2025-05-21 Version 5.7.7 Released =====================

===================== Changes Since Version 5.7.6 ===========================

commit 690a41609bb6308834527f5081a19e20bd63e0ca
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed May 21 09:10:42 2025 +0200

    Makefile.defs: version set to 5.7.7

commit ebb630f9c7ff6e67209b8dbb67da69403b979661
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed May 21 08:55:54 2025 +0200

    pkg: deb specs updated for v5.7.7

commit 951e53600f17bf4b05f414b1dbfe8f8853cb0a70
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed May 21 08:48:18 2025 +0200

    pkg: version set to 5.7.7 for rpms and alpine specs

commit 1796009f5ebf77c32014a669a21c1d0861f306b4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Apr 1 19:38:01 2025 +0200

    parser/sdp: check if value is exceeded when looking for o= version field
    
    (cherry picked from commit c532a67db654efb21f81e058b7e3a86229766a40)
    (cherry picked from commit d3d62bde97a86faa7dd1189bf10b697f28d84a63)
    (cherry picked from commit 44cb112ea155eccf2788400b65f85e8b1c77f589)

commit ee8c50f6033eeb1c3035ac3e1aa72e9865ea3c9e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Mar 28 08:15:13 2025 +0100

    core: allow route(...) usage inside onsend_route block
    
    - GH #4130
    
    (cherry picked from commit 6343713bcc91a499c772fc6f548597693f220c35)
    (cherry picked from commit 0b48c889623a19ed223c252ada049cabebee45f2)
    (cherry picked from commit 7335ac5b8d174a14a4481215cc787e7cb5cd4542)

commit 42d33d7526fc64c34dce0d51a72f474e70392824
Author: Alessio Garzi <agarzi@sipwise.com>
Date:   Mon Mar 24 12:52:29 2025 +0100

    fix typo on sanity checks module
    
    (cherry picked from commit 3b48fff143b49f16b328475a7b26017209e98666)
    (cherry picked from commit ecb00946bf684b4c8405d71fe9306d35aba21359)
    (cherry picked from commit 52772bf03ad07758e92eea4a71d22f5df8e976f4)

commit 0fc84abd5710ff982d4867ea36560f0ae1df20b1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Feb 14 12:17:23 2025 +0100

    http_client: free dumplicated name in case of errors
    
    (cherry picked from commit 39ba53a2499dd1f0e080bb011d7438a60ea5faec)
    (cherry picked from commit 7274e353d7c05f5387c64aaf90197c9a8e8d1dd4)
    (cherry picked from commit 99852d486bd4180c4f571864bfccda526f3e259d)

commit efec4195cb2905434a7674c7886a52bd6c33ea85
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Feb 14 08:37:23 2025 +0100

    ctl: refactored error handling and removed unnecessary code
    
    (cherry picked from commit edbb5b11e9453be3519e6e9a945937307c95709e)
    (cherry picked from commit 691eb2600c1fcf24d0d1f9b2648e7257499537a8)
    (cherry picked from commit 83a4165fc62710027ddf006058c66f082d01b51f)

commit 84035480eaf6d8624faa0859f2ec8bb6f24b68da
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Feb 14 10:16:00 2025 +0100

    xmlrpc: removed unnecessary code
    
    (cherry picked from commit e65b03cdd946d735a3ef33ae3582bcfad464d2c7)
    (cherry picked from commit 6d06293f3fe1c5897a3e01272fdc9ac409925f3d)
    (cherry picked from commit eaa0d1af8a46fe9a74d0eb1bbb2fbf2089f4e3fb)

commit c827311923457119d15b2a375e2e454c8aecdc6e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 13 11:45:06 2025 +0100

    pv: free next field on error when parsing xav* names
    
    (cherry picked from commit b875e7368dcc8e221007caafa3599c3e354404f7)
    (cherry picked from commit 8b7637140c5362bf90046ccb3b34ea74ef658c0a)
    (cherry picked from commit ce55c093d490fd19f10c50e11d12e188b64c1686)

commit 6b4fb8ddea8d4674a9e74c261cf5c16d69111682
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 13 09:43:43 2025 +0100

    ctl: fifo - clean intermediary buffer
    
    (cherry picked from commit 4c4d7f7967a99d4dd4acdc5e198bce493bf15d67)
    (cherry picked from commit c68522f5c3c59cb915feb873bd3351e57a8db579)
    (cherry picked from commit 90122e3a46169e9f10dc7d8e01638d5f89cfaae5)

commit c51cc44b7380847d7d1bc04bb6a0d1b7b96ea974
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 13 09:40:00 2025 +0100

    xmlrpc: clean allocated buffer
    
    (cherry picked from commit ff712539566c903312ebba2f8e2585f9c80ffdcf)
    (cherry picked from commit e1398e53e9825db6c20590e1576d960ac0c3c429)
    (cherry picked from commit 1f6dc4df8572c07280478858087182f273c25fe3)

commit dffd625bf7953d7314287fe67b17c8bf583034bd
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Feb 12 17:48:42 2025 +0100

    ctl: free rpc struct in case of error
    
    (cherry picked from commit 4a71d3c9e6a4f92ef33ce8e62372b2c4dba62a56)
    (cherry picked from commit 5024235f876df4b3239ef746de700ade362cc7b2)
    (cherry picked from commit 5e836af2ff198481bde0485a315bbfdf39043f9d)

commit 7876e1ec4785d0199f817cf3cc59c8ae9bd56fd8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Feb 11 12:41:26 2025 +0100

    core: check for unexpected long value return by pathconf()
    
    (cherry picked from commit 2ba6d4ff2727031e7bca5d3d1da016bfe508b8df)
    (cherry picked from commit 718692c6d402b6942e0b1e8ebd8e64b306813495)
    (cherry picked from commit f123ebae553624525ca04d34ddd4c9453eac855a)

commit 3c3c7107980fa23c892e5fe85b524d82c04bd645
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Feb 11 11:30:34 2025 +0100

    core: pass fd - check for unexpected read size overflow
    
    (cherry picked from commit 6c12477f1dad2279431d703d1a4f63fcfc6543b8)
    (cherry picked from commit ac0a4a5052e9aaf6531130675c8140fdd5c11e97)
    (cherry picked from commit 42260f34079ddad7662742a64696d2550ee1cce9)

commit e5c2f3ff4eded8f6d9537fdc6e2ccff0f90fa568
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Feb 4 08:05:28 2025 +0100

    msrp: send failure response after referening the buffer
    
    (cherry picked from commit 5f8adb625b6bae81ef44613d774106bf3a943bb0)
    (cherry picked from commit 4ff58bb3e02b76e2489144867c8b0dc5041dc621)
    (cherry picked from commit 0f8b36091a64de012377bd2460e299529886a45c)

commit aa81e83c5fa7b916148c274be9cb0c32356b79aa
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Feb 1 07:40:11 2025 +0100

    msrp: variable for extra headers used in local replies
    
    (cherry picked from commit 7a73e08b0e5b4c3fbeb4f097c1f891d06c74651d)
    (cherry picked from commit c29d9d661b3954906cdee7e98a4f9b6502673490)
    (cherry picked from commit 724a58813d50dcfe965e69914fbdc93291811a85)

commit 63fd213aab064df3ec669047ee3b0abf1bfdea5a
Author: Sergey Safarov <s.safarov@anycast-lb.net>
Date:   Wed Jan 29 09:12:44 2025 +0200

    janssonrpcc: fixed warning var may be used uninitialized
    
    (cherry picked from commit 3039c02404e05da05a031f6ccf68913a8c1c80eb)
    (cherry picked from commit ddd98b09c80dc0d15af080e37961b59ecde17689)
    (cherry picked from commit f4aed91f5ab78cddbe782e94306c3cf4c49b09c6)

commit b85e5fb31813cbbcae350262e52394b2807c7e0b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jan 20 17:10:05 2025 +0100

    core: parser/sdp - check if still before end of the value
    
    (cherry picked from commit b96bc11a54f11ec688429c057bf5a90c40c147b3)
    (cherry picked from commit 76ffc6d3d4053bc43b81c3363e837c10360b0089)

commit b01dcd5b4d48b36aa2c3fe4e46a43dfdf84f29e9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 15 07:24:29 2025 +0100

    sanity: log as debug when Content-Length is missing for datagram protocols
    
    - the header is optional for datagram protocols (RFC3261, 20.14)
    
    (cherry picked from commit e38c7f8bac1aef9890d266fa466cea1561346732)
    (cherry picked from commit 50e69e9a269e5d5dba0251f893abc34907a12970)

commit 458abc7692f2f700735af6c37856da95513fad32
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 3 08:03:57 2024 +0100

    xlog: evaluate prefix for kemi functions
    
    (cherry picked from commit 76e18d0d13a41e93094f9084ac44e0809f91b109)
    (cherry picked from commit 68e3447e04c06059d47e1f001ae0b34e7f88b2f5)

commit 641541066953e8b52a4e433c01c8d621063899ff
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Dec 2 20:19:45 2024 +0100

    xlog: use crit level with prefix for kemi xcrit() and xlog()
    
    - GH #4048
    
    (cherry picked from commit a493e2e0006f89d2f8b5e903134407109ef587da)
    (cherry picked from commit 98f20996606a200f025dd78f96fbb50cd426f756)

commit 601e86bcd5f95138a9ad03de2db7faa4a7e0c2a6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Nov 27 15:36:33 2024 +0100

    corez: set sndinfo attributes for corex_sip_reply_out()
    
    (cherry picked from commit b003a7184a02da5fd6dfe27def8d928d363e36ce)
    (cherry picked from commit b512a9e809a658dc9ac731a359afce8fa8acd049)

commit 1cddf420cbd557a1c756105eb2bf933eb9fb1e79
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Oct 29 08:20:44 2024 +0100

    core: parser sdp - check body end for extract_ice_option()
    
    (cherry picked from commit 79d7fae0f26f577356f017cfff5e00c348cf259c)
    (cherry picked from commit 351157cad257986a014dc659231ae0ee48a8d538)

commit ad292d121d0fe41a712385b5f28c83ec3c07ddb3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Oct 25 20:45:59 2024 +0200

    core: parser sdp - check len gor extracting fmtp
    
    (cherry picked from commit d10257fbfdbb3e3e73c0fe60a224585822bdd7b3)
    (cherry picked from commit 18dad74a091e693a0bf939dddf144348409e6402)

commit 3a5db8000dcea0a16c491ee54eb35324f2e7bdd7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Oct 22 07:41:08 2024 +0200

    core: parser sdp - check length for rtpmap extract
    
    (cherry picked from commit c823f41350ab9186a323707e9be32e31922bec17)
    (cherry picked from commit 0408c2cb412f0df0a17b70aa4d15026a9ef3a9a7)

commit bec9f1cc738f35d7a74556bf5a8918814ae019e3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Oct 17 08:21:43 2024 +0200

    core: parser sdp - check if body is enough for rtpmap
    
    (cherry picked from commit c7f89e81504c425a83f3423bc4b4d9d1a8a48909)
    (cherry picked from commit a688b24ac777cb93306a1a777e687de625d6e4d0)

commit 778ee6deab8376a61e5ec6aff20536799ccf08f9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Oct 11 12:37:08 2024 +0200

    core: parser sdp - check field length when extracting the value
    
    (cherry picked from commit e802f9187383feb7fdd96c4ded44fda403da4535)
    (cherry picked from commit e650ace5948c76ea2d8eb7eaeebb5c349970447d)

commit 1413ce8512d8a0c00c39243fe1d9d9c308bf8ad7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Oct 11 12:00:53 2024 +0200

    core: parse sdp - check for body limit on mixed content
    
    (cherry picked from commit d4bbde619bbf808edebb31e131b3783ba2a4b34d)
    (cherry picked from commit eb058dba967bb772c8413356163ec6c13533ab6b)

commit 8b830220984d2604c1a89ce3ae7bfa68cdcbf3bb
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Oct 11 11:41:02 2024 +0200

    core: parser sdp - check for length of sendrecv attribute
    
    (cherry picked from commit fc4817064f81ef9a82b1b1468b1b8a4ae352c1f2)
    (cherry picked from commit 0ba1666fec15ed292e7fe1764bfa985ef282d84e)

commit aceb2a89ed79c4bc28b21d70eedfe8527dff2bbd
Author: Thomas <1258170+ThomasSevestre@users.noreply.github.com>
Date:   Mon Sep 2 20:27:26 2024 +0200

    topos_redis : show redis error for post mortem analysis
    
    (cherry picked from commit 72889e945041b6475a43c371aa4e20e99f5d1240)
    (cherry picked from commit 8331cb1f87b31f66f87a90e7fbaa2553ea3f2728)

commit e65cf6e5393c5dd430a7e5e421f566cc88c1a2ce
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Sep 4 12:43:59 2024 +0200

    auth_xkey: use memcpy() instead of strncpy()
    
    (cherry picked from commit 29686758e1ce51abb8d8dd5bebb0d7fa1a019dc6)
    (cherry picked from commit 6c88ef7c6abc45f72571aaa713f1d0dfb2d626e6)

commit 0f56bad610ee3397ce82fcc10626651fe2789da0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jul 30 09:07:36 2024 +0200

    corex: switch to unsigned long long for iflag lookup
    
    (cherry picked from commit 072c44330297c653675b5078fb0facdc399a5ab4)
    (cherry picked from commit a024fb3c028b8df18a9b855fff99bcddc3a61ef2)

commit 5a5fbdf6d5bb8ea3cc15063bdf66cd6a1280d3bf
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jul 30 08:55:08 2024 +0200

    corex: proper check for iflag lookup return code
    
    (cherry picked from commit fdb0ef987ca2b013104b06ece006f67bf8ae07d3)
    (cherry picked from commit d102f40856512d2c51707bf5ec5a6c949c550890)

commit dc009570a7d79de99ce0156c8a163c29f9ab7eb9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jul 30 08:44:03 2024 +0200

    corex: small formatting of iflag list
    
    (cherry picked from commit 70606e3ea575228b3ccc662d6f9048aa0eb899ce)
    (cherry picked from commit e14522cab01eba9c5fa636a7c0f6ed40200c6871)

commit bfc6a9c0e5cad418ca892d33709636b7aeb075e6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Jul 28 18:44:45 2024 +0200

    core: tcp - use long long constants for operations
    
    (cherry picked from commit fc2f34e8bab022b0c99e8313aee3e4a87c1f2e52)
    (cherry picked from commit bc8ea1022718c94fbdf9bb93c35759e1a6ce3cde)

commit 9a8f9f13c4b98c14bc260680dae15e869034d147
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Jul 27 18:16:40 2024 +0200

    db_berkeley: buffer size set to the argument of strftime()
    
    (cherry picked from commit e86d6ee30227a3fc5cff98e7983d4a80f0c42c4b)
    (cherry picked from commit 1eb7db2f18724b91d18c6b30b529b51117d176b0)

commit 06a86869b9157783bdd185aa3b43e3517c23d007
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jul 26 19:49:57 2024 +0200

    core: cfg select - check res when getting the variable
    
    (cherry picked from commit 3333611a3ef9078cbcb9867db88921f0c48fce1b)
    (cherry picked from commit dfc2531cf7db70e315613b3242d1b5b41ac20857)

commit 17fe6cc64140e2d302e678a34534804cd34015d0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jul 25 10:58:40 2024 +0200

    janssonrpcc: free new servers list on error
    
    (cherry picked from commit b4efe7725728392d0c8921c006d6fbc6455e9b8f)
    (cherry picked from commit f8201e6d4848081a2dd564e0d5b216fca47ef3f0)

commit f75b968d428f23241bde329622f1e2e86b60d222
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jul 25 08:44:15 2024 +0200

    core: cfg select - check res before initializing
    
    (cherry picked from commit a6c415713bb209b03ff110d4ae891173d04ac471)
    (cherry picked from commit 61eb4fe44e66a952ba14e39e1c664878ef52919d)

commit a71d34d64b6539592b8d7532abc3714d2c4e4125
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jul 24 10:43:18 2024 +0200

    jsonrpcc: declare variables are the beginning of function
    
    (cherry picked from commit 7ba313f6f96ffa6042c163027c0c7bb65106fef7)
    (cherry picked from commit 5baf49a179194ba0eaa5e7f4caba613c72859b0c)

commit 1d561bc70e30cae3ba94aacd51c33e8cf1cf3737
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jul 24 10:37:21 2024 +0200

    jsonrpcc: free allocated pkg buffer on error
    
    (cherry picked from commit 796bcc038d7885e01dbad34abc68bf612062c533)
    (cherry picked from commit c447bf60d528d8fdc1f5aee52a796ed5f77b2f5a)

commit 61e3e21f42d4b18c69ad9b1c2378dabce5cd6f47
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jul 23 11:57:48 2024 +0200

    erlang: init xavps for safety destroy on error
    
    (cherry picked from commit 29510872607deb3238411b358c422d004fb307b7)
    (cherry picked from commit f57accd1820b26b40f14d420465402188cb13df1)

commit d7766ffceb98fbc0ceaf58d2f271cfa1870c15b0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jul 22 11:01:16 2024 +0200

    utils: jump to error on pkg allocation failure
    
    (cherry picked from commit 34749ab13b31504358761c964f794b283931394c)
    (cherry picked from commit e016d1ada08edca0adacd42ffa67ffd3c8c2c384)

commit f32863addeb3a927b80db65c56a258be8c27b85c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Jul 21 22:41:45 2024 +0200

    tls: check lenght when parsing pv alt name
    
    (cherry picked from commit 79a668b8bdb0e085adb3581d718e5fd5ae73e2e4)
    (cherry picked from commit dd4d5e44a60a658772e8288d94193596f7a982a7)

commit 6e1940120cee766a7d90ae0b581e9d7ebdf5885d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Jul 21 22:23:29 2024 +0200

    tls: remove uselss pv format parsing in pv_parse_alt_name()
    
    (cherry picked from commit 7c06997a1b6e77ae0642d369f532219dc35ef8e0)
    (cherry picked from commit 4732a4a88df9f4cbd2260564b94269157b3c0647)

commit 8eee8bcf1ba579d012a0f583525ec32df3bb189c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jul 18 12:17:10 2024 +0200

    core: set digit 0 in the md5 buffer in case of error inside char_msg_val()
    
    (cherry picked from commit 15b2a5467f11e009ae4efad1ee29af860326095f)
    (cherry picked from commit d69e65fa4e9448701729ac8f41b069dad294a51e)

commit 6cd797906c82927037e5a89a638c3150d99ba579
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jul 18 12:00:47 2024 +0200

    core: init res inside select_cfg_var()
    
    (cherry picked from commit a471d34d6162387a1427f5d0c5b3c6079a2b0bdc)
    (cherry picked from commit 92a3cc4549073d70b1b229149b29017e3a9cf06f)

commit ae3734307499c5ca48089dc060dba8409bd4a342
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jul 12 08:06:36 2024 +0200

    stun: check message len for response
    
    (cherry picked from commit 87e1a4a7f5d565a59a362f22e9372697f2f2f2af)
    (cherry picked from commit e11c132cbf57ea1ae6289e734f601104ba83fc25)

commit 634aa6f2843b468a69ba63fe312a068c6562db2c
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Tue Jan 28 11:31:57 2025 +0000

    outbound: Fix flow_token_secret bug
    
    - flow_token_secret is of type str and not char*
    - check the length of the string instead of memory for initialization
    
    (cherry picked from commit 046ba41e431fec7fad0c82a9091ea9e27d9f677d)

commit 95465330fbc8916e3798122083cb895030171e00
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Dec 12 14:50:42 2024 +0100

    outbound: reformat exported structures
    
    (cherry picked from commit 793a494f5b23f2ef5e82664924c3bed3893105bb)

commit e85d6e5dd499dce586e72fdca2ee7cbff6520327
Author: Nikolay Ivanuschak <ivanuschak.nikolay@gmail.com>
Date:   Mon Nov 4 22:58:44 2024 +0300

    http_async_client: fixed crash on curl callback

commit 4ddd8de2d6c6a02a5c156d0505feb9164a7d5a3e
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Nov 15 11:09:34 2024 +0100

    doc: update manpage with missing -B option [skip ci]
    
    (cherry picked from commit 77f03aabd871dbf86c5106a93eb32ce67d7762bf)
    (cherry picked from commit 6816f992696fe894b3a47cd511a59e1b5a0ed89b)

commit 73e860525a52d8c8e07aced4b7aa6a9ee6c95865
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Thu Nov 14 16:10:38 2024 +0000

    tm: Fix log level
    
    (cherry picked from commit af0f0000c4755d01f668570bc6db71f2f534a5c0)

commit ec35516f38f0495aa4eb6f1f1f0c67a61d3238a8
Author: Xenofon Karamanos <22965395+xkaraman@users.noreply.github.com>
Date:   Wed Sep 18 12:04:10 2024 +0000

    tm: move local-request event route to the right location to access CANCEL
    
    (cherry picked from commit ccc106922802213253f03f181d10fe83aa93da94)

commit b0864208cc818ee6ed568485c9f25640fad9e620
Author: Xenofon Karamanos <22965395+xkaraman@users.noreply.github.com>
Date:   Tue Aug 27 13:59:31 2024 +0000

    tm: Emit request event when cancel is called
    
    (cherry picked from commit faca8e7a20255d90a4786fd4043005ead9dfc5df)

commit f9e8112e87f914549368d04e8fd9b68765d24771
Author: anmartan <a.martin@zaleos.net>
Date:   Thu Jul 4 09:30:02 2024 +0200

    core: Improved URN parsing according to RFC8141
    
    - Improved URN parsing to allow consuming URNs that contain 3 or more colons. Previosly URI parser treated some of the colons as separator between host and port causing the URN parsing to fail.
    
    (cherry picked from commit 6cdd56bb85e1a10ebbb29c2633fb47bf7b56585e)

commit 859888876418605abdffcc57bea8b5988860476d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Sep 19 08:54:32 2024 +0200

    tm: remove extra + used before MAXFWD_HEADER_LEN
    
    (cherry picked from commit 307d6db88c218ffd5dc9d6e7de6425ac4ef24748)
    (cherry picked from commit 672c3e75c4679681c1ddfb42f852682d93e42c31)

commit 30776c97b97f0b6836b313af3f4d385fd6492073
Author: Juha Heinanen <jh@tutpro.com>
Date:   Mon May 20 11:41:42 2024 +0300

    tm: add mandatory Max-Forwards header to local AC
    
    (cherry picked from commit 3a34b468ad93904c507bd0fc7ef592b25321807f)

commit bb770156f7f73485fb523576cc6639b334da4aa5
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Fri Sep 13 22:08:17 2024 +0300

    pkg/kamailio: fixed python module build on RHEL based dists
    
    (cherry picked from commit b1c9dac2c382a98997d5771921af5aa3235876c0)

commit 58732164c199ed6c565ea650998d6e34e5dcb451
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Thu Aug 29 16:11:22 2024 +0800

    app_python3: bump to 3.12 for el8/el9
    
    (cherry picked from commit 4d87f29248d36d873784827204f272116050343d)

commit 2deec6b43b8149ebb8c027a68709c2a708f01be9
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Jul 18 17:26:33 2024 +0200

    sipcapture: add missing headers for inet_ntop()
    
    fixes #3927
    
    (cherry picked from commit fe505c9654541ec60f14e5a50896bb11751e61e4)
    (cherry picked from commit 164d1ecca7e94beba24013f31276bdc1f2ee04a1)

commit 184aaf991b6ad74b63a7f8724058cd4066f3bbd3
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Jun 19 15:00:12 2024 +0200

    db_mysql: switch warn to dbg for log messages for opt_ssl_ca option
    
    fixes #3884
    
    (cherry picked from commit be5172a84b02a1ab4fc7e97e7dc0813056302bdd)
    (cherry picked from commit 4c75991aa662bddc1bbe65c83f7861cb72a65a61)

commit 64f0c3f3979de7a40732067792d89c6d3b1c23d4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jun 19 10:43:12 2024 +0200

    db_mysql: switch warn to dbg for log messages for opt_ssl_mode
    
    - GH #3884
    
    (cherry picked from commit 8f98317e92da61160a1c416e0da45938a205d358)
    (cherry picked from commit 7360ab7fbe672259c7433b1a5199467d24183d79)


===================== 2024-07-02 Version 5.7.6 Released =====================

===================== Changes Since Version 5.7.5 ===========================

commit 18cc7c0ba02ee44c19e9a5c977360e14cf26b0d6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jul 2 08:59:05 2024 +0200

    Makefile.defs: version set to 5.7.6

commit 531077222387d30cb491c8af50db521fe3760da1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jul 2 08:58:22 2024 +0200

    pkg: deb specs updated for v5.7.6

commit 50787da0ff908a33ece6cf8a341bc5d7c244ad99
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jul 2 08:57:26 2024 +0200

    pkg: version set to 5.7.6 for rpms and alpine specs

commit 4d1c41f2af5279f6ffbcba59f5b51e06989ba66d
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Mon Jul 1 10:01:27 2024 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit a9a337562d1b57afedb31d49764e03c7ebd85f31
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jun 27 10:07:11 2024 +0200

    cnxcc: check if final pulse is 0
    
    - avoid dividing with it in such case
    - GH #3859
    
    (cherry picked from commit 7061a79fe64066dd5a6598e38d714bd40bf2eabc)
    (cherry picked from commit ca3d4b3515024732805038509dd0d9f0b60ab273)

commit 1bd30c65b74b30339841c57d2948ea7db9a40fe9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jun 24 10:22:25 2024 +0200

    core: removed duplicated break
    
    (cherry picked from commit 588b9c710b6555371bc8bbee21e474466bb099dd)
    (cherry picked from commit 4fa5fc10370d81d534d75b034322a6250c7e2557)

commit a0cef6e8689b66f7548fe56eaa79e692d5061e93
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Jun 22 17:52:34 2024 +0200

    textopsx: docs - note about @hf_value2 select
    
    (cherry picked from commit d13c741d90c3887cdf144a9094a78c0c7cb9856d)
    (cherry picked from commit 70cf3ebd2b52c341a90c9b9b6149985667a6b96c)

commit e017ae88c155c2bd60a9611bca676308695f3c75
Author: Dragos Vingarzan <vingarzan@gmail.com>
Date:   Fri Jun 21 10:54:36 2024 +0200

    textopx/doc: fixed hard-to-read documentation for textopsx
    
    - was missing line-wraps in examples list, hence very hard to read
    
    (cherry picked from commit 48d97c1941f660aa396b5ef100584611cf92ad21)
    (cherry picked from commit 7bf787d00f9f7ed8a2d758219d6d1413b2b5c975)

commit eed224e4906b6691d07ea379727e2ed627c3e80f
Author: Dennis Yurasov <dennis-y@yandex-team.ru>
Date:   Thu May 2 12:28:11 2024 +0300

    siptrace: add SND_F_FORCE_SOCKET flag if send_sock_name/send_sock_address config parameters are used
    
    - send_sock_name/send_sock_address is ineffective for tcp based transports if SND_F_FORCE_SOCKET flag is not set
    
    (cherry picked from commit 1b97a0271b27794263b3eff61f4acfa81e66069f)
    (cherry picked from commit 2606c4e07e598ea41cb5a8814e3587bf49f94c1e)

commit 8c4f102948a7a472c57c260bb2c49bc344a6222b
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Jun 12 10:13:56 2024 +0200

    tls: remove confusing error message when trying to print socket for <default> server
    
    > CRITICAL: <core> [core/ip_addr.c:232]: ip_addr2sbuf(): unknown address family 0
    > NOTICE: tls [tls_domain.c:1176]: ksr_tls_fix_domain(): registered server_name callback handler for socket [:0], server_name='<default>' ...
    
    (cherry picked from commit 87c8290ab934fd27f8baebabaf66d1fb4168ba72)
    (cherry picked from commit be76a51422df3294c533accae1b6a621ee9d3a7d)

commit b1ffd5982329cda6d1e5da008703fe302402ee36
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jun 4 16:29:50 2024 +0200

    dmq_usrloc: reformat exported structures
    
    (cherry picked from commit e94812149c6f2867a5b23f1218a9af139590bf51)
    (cherry picked from commit 5571ea0ff8877a8a19b3fb76030af19b59f141db)

commit a11e8ae3f8daae13ba6b162ab050bb7d8c8bd01b
Author: Xenofon Karamanos <22965395+xkaraman@users.noreply.github.com>
Date:   Tue Jun 4 09:37:01 2024 +0000

    nathelper: remove magic constant
    
    (cherry picked from commit 3d187336f22e30800acefd28e4d0f98e0f677a49)
    (cherry picked from commit e8dc8506dbc4d8964e02c3be175d7f18f5fe69a4)

commit 8d1f1843f04d9e1a6db983bf860c76f7a1ac4b40
Author: codenot <codenot@msn.com>
Date:   Wed May 29 10:10:28 2024 +0800

    nathelper: fixed handle_ruri_alias_mode(1) cannot proper handle multi alias
    
    (cherry picked from commit 8e0b2e4b6450fa50bd573fa013dc888aaaccd2bf)
    (cherry picked from commit eb4ec6f9305e334d9749e1fd56ad195c383cef77)

commit 22a28b0b0e7f66a8e73d92fcc5f014f722aa2d1f
Author: Xenofon Karamanos <22965395+xkaraman@users.noreply.github.com>
Date:   Fri May 24 08:03:49 2024 +0000

    core/resolve: Check dns_cache_init and choose appropriate functions
    
    (cherry picked from commit 06d583e356351ae9d8a559c9f5de3e57fb128a38)
    (cherry picked from commit 5999529be9ac2187dad465518bea3dee1b06d0f7)

commit d503c70bbc9790073424630ce842b1987cbe2a7c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed May 29 10:18:44 2024 +0200

    siputils: free head of params list for get_uri_param()
    
    - GH #3857
    
    (cherry picked from commit 8363208fff7c101a2779ff64783e5b7dbf8ffd7c)
    (cherry picked from commit ebc8acef7617a69dcc06b163c47e88a99d835f9e)

commit 5da933f3888ab3981fa8ec4ad255a4e8f3770d2d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed May 29 10:15:21 2024 +0200

    siputils: free head of params list for get_uri_param()
    
    - GH #3857
    
    (cherry picked from commit d72a3fbc903da02ae3b26f3aae2ea228c9f8b255)
    (cherry picked from commit 833b93563f43fa95e4bfdd175b144670b66a11cd)

commit 5da78f619c747edb674970b87426582b90c8bae3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue May 28 11:45:37 2024 +0200

    htable: error on not finding htable in pv get
    
    (cherry picked from commit 24b27214231166366cceb88fcb3724298cc53b32)
    (cherry picked from commit 7087ce6aa496de9b6015e5054d8fd70bf2e055b3)

commit 239153a860875aba578ba060241fcb419ad98276
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon May 27 09:11:48 2024 +0200

    htable: error on not finding htable in pv set
    
    (cherry picked from commit 82cfea317fd8d02a6c94347bc1be18c8a06e580f)
    (cherry picked from commit 9a7e3e54f1c52ee69c68b1165de115894c2afc55)

commit 60335c8fb52b01b2fa6840d7f55ef87071f1d925
Author: Rick Barenthin <rick@ng-voice.com>
Date:   Thu Apr 25 19:16:58 2024 +0200

    usrloc: delete location_attrs in db_only mode on delete_urecord
    
    When calling delete_urecord in DB_ONLY mode the location_attrs are not deleted.
    This fix makes sure to delete location_attrs when calling db_delete_urecord is called.
    
    (cherry picked from commit 6b8f6d3b5d563d91234b8d4b7e155b7e74b9d313)
    (cherry picked from commit deb11ee814e1591698d120a113630aa7a9791ad7)

commit dfbfd307d80c9259f28f3df0874fb7a2c7f6a628
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Sat May 11 17:45:08 2024 +0300

    db_mysql: fixed build on CentOS 7
    
    (cherry picked from commit 767b3faee3af450d6482b919c81431ea6d707807)
    (cherry picked from commit d53843c75da9115a9c3cb6b1b909fd3827b6c437)

commit 6173af8d414de313b3ed8ced5e662e95022baf58
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri May 10 12:45:25 2024 +0200

    sipcapture: use local static buffers for ip address and port
    
    - GH #3835
    
    (cherry picked from commit d1f377ff23f491bfd5162cb7bf510759440dd8e5)
    (cherry picked from commit 5c4f687d0ed06d6c7a5696917982b1cf03f9c8bd)

commit f8fa74e7b2901ecae8bbb851250d8b28452b18da
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jun 12 16:21:34 2024 +0200

    core: tcp - change log levels for failing to set source for tcp connections
    
    - it is not possible always and it can fill the logs
    
    (cherry picked from commit 15403a543d83e337ee578ad37dc1d84316e4cf16)
    (cherry picked from commit 8a027b99cf8dc4f7e889aa7644f1f7699c7cb08e)

commit afa4e92bbdc30bc76f0a27f73ef8c57802be99bf
Author: Xenofon Karamanos <22965395+xkaraman@users.noreply.github.com>
Date:   Mon Apr 29 13:37:24 2024 +0000

    db_cluster: Update log levels
    
    (cherry picked from commit 467dbf3e1be16d5a760178d0801834ac67bad888)

commit 4cce7e80b7b4e29a98da97a86ac2fc216cb01f4f
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed May 8 15:47:11 2024 +0200

    pkg/docker: update 5.7 [skip ci]
    
    * pkg-config in build

commit b8d50a89d20a1b13b175358c875062d52350cef6
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed May 8 15:41:45 2024 +0200

    Revert "pkg/docker: update 5.7 [skip ci]"
    
    This reverts commit e21f8667b18c978e90c978e74372b2fc1ad66574.

commit 2f9ecdae6d6b3b49f96e8df86631c23d22396d1f
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed May 8 15:40:52 2024 +0200

    Revert "pkg/kamailio/alpine: switch to pcre2 [skip ci]"
    
    This reverts commit 4aeaf7f65744d7037b9dc4fb73f1f1b2266715cc.

commit 4aeaf7f65744d7037b9dc4fb73f1f1b2266715cc
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Oct 13 09:54:08 2023 +0200

    pkg/kamailio/alpine: switch to pcre2 [skip ci]
    
    (cherry picked from commit 7f4fdfa61444ab38b49b74829a40d9ec6d1e050a)

commit e21f8667b18c978e90c978e74372b2fc1ad66574
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed May 8 14:31:26 2024 +0200

    pkg/docker: update 5.7 [skip ci]
    
    * missing pre2-dev


===================== 2024-05-08 Version 5.7.5 Released =====================

===================== Changes Since Version 5.7.4 ===========================

commit b0caec0143187f487b24d37376e93b05340db1ad
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed May 8 07:58:49 2024 +0200

    Makefile.defs: version set to 5.7.5

commit 7590ff14e0c9bcab17a298f806f4da8a564c83a8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed May 8 07:57:26 2024 +0200

    pkg: deb specs updated for v5.7.4

commit aab0f988b6c69266b54dc2d92c6c9f739ef6805e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed May 8 07:56:41 2024 +0200

    pkg: version set to 5.7.5 for rpms and alpine specs

commit d88542f235af01d63c555673bebbc0c64ea825e2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed May 8 06:59:08 2024 +0200

    etc/kamailio.cfg: remove executable flag

commit a49a4aefa7c72e113d354f0e71add874fb191ec9
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Tue May 7 21:16:27 2024 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit 289ab7ddceaaf923edfe15b11361f0acb16c0dde
Author: Henning Westerholt <hw@gilawa.com>
Date:   Tue May 7 16:14:46 2024 +0000

    sipcapture: fix default DB URL docs
    
    (cherry picked from commit aeeeb0c2f46c2575639dd725bef78fac64219a07)
    (cherry picked from commit 29ef69b8807023e082d7c9880c63bee11d4f3b30)

commit 278e29a5750401fe5d0e7482792dbb113362103b
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Tue May 7 17:46:25 2024 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit 5566647a85f23e753774fa4c87e213c2fbb7b317
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue May 7 16:55:24 2024 +0200

    ctl: info log on ECONNRESET (connection reset by peer)
    
    - not a type of error that can be controlled by kamailio
    
    (cherry picked from commit 446c75e0e2194b6e42d768d2e3c79b5f0222905f)
    (cherry picked from commit b5eb4f5ca037239f2ec1d99a16a71af0383f737e)

commit d9e63ac912c1f0b3ec71611516ea3e52206b6edf
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue May 7 16:49:49 2024 +0200

    ctl: removed level and function names from log messages
    
    (cherry picked from commit 65bafaffd6bcfebc508b774cfbb78120e68bb3f0)
    (cherry picked from commit 24e43d27544bdfa1acfce7ebb8b6e3ba7841fc13)

commit 64421e2d4ed48e4a77cd997e389ae4a5225b40ab
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat May 4 20:18:18 2024 +0200

    core: parse/contact: jump to error on too many contacts
    
    (cherry picked from commit f69b22d44cb5abc803c2b58790dd33f2310c1c59)
    (cherry picked from commit 11f0cfec4d2fc6043d282cdb2258520559f0fcd1)

commit 45fd99f53643b56bce65eb9d603a5b81059aa21d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri May 3 14:57:47 2024 +0200

    core: parser/contact - basic validation tests for contact uri
    
    (cherry picked from commit fc52a54370c085d6fa951da876eee99580677922)
    (cherry picked from commit d75dba611808322356fc8d1ebc9f8c30b4124a15)

commit 49135f37d94aaf49a1c6b6a47bdc5a80bd3e5028
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri May 3 14:36:29 2024 +0200

    core: parser/contact - add limit for max number of contacts
    
    - defined to 256
    
    (cherry picked from commit d6b0beb5a219ae57a62e9e7201a6ec1fe66e5a96)
    (cherry picked from commit 5b97d29f1bbac2656eba506c7fd94b412dfb9b7f)

commit 65c8761d9b04d01d0609b09c7ed75c9518f72d77
Author: Jannik <40364587+volkland@users.noreply.github.com>
Date:   Tue Apr 30 12:28:20 2024 +0200

    sipcapture: docs - fix default value for parameter
    
    (cherry picked from commit 265c948286f2df5136179c95fbb1d7f1255e4c71)
    (cherry picked from commit 3aac0c7379577480fb09902bfb31b9aed49e7f88)

commit ac56db7fab9d1157e89a6daf81915e3058f7178c
Author: Henning Westerholt <hw@gilawa.com>
Date:   Fri Apr 26 05:54:27 2024 +0000

    uid_auth_db: spelling fix in documentation
    
    (cherry picked from commit 9f28450312749dfbc021a8cbc23472c8a39d3fef)
    (cherry picked from commit b2352bc1c6f3eff3aba85a087107f4ca29cedc22)

commit ff5d1e73cd04ca84e423cd9efbec4014e9dbc2e4
Author: Henning Westerholt <hw@gilawa.com>
Date:   Fri Apr 26 05:53:30 2024 +0000

    core: spelling fix in comment and log message
    
    (cherry picked from commit db176a4918c0b500f5f051cad16fd8d442450ab7)
    (cherry picked from commit 0bf03aa1987b9cff2fc0d776605620e26c163609)

commit d8907b6290d37965d07ceaf30e6c06956a59c90a
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Mon Apr 29 09:24:16 2024 +0200

    tls: clear thread-local variables up to tls_pthreads_key_mark
    
    - other libraries may set thread-locals via pthread_setspecific
    - assume that tls_pthreads_key_mark demarcates libssl's values
    - only clean thread-local values up to tls_pthreads_key_mark
    
    Currently only used by app_python[s]
    
    (cherry picked from commit fe6f4fcde2fa06a3c00479cef169c27dc32ae490)

commit bec4ad646f127a1f5bbf31604e6185b246867770
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 5 19:30:21 2023 +0100

    phonenum: Makefile - option to set C standard version
    
    - can be set via option CSTDVER
    - defaults now to c++17
    - GH #3659
    
    (cherry picked from commit 6dd5598fc043fe3d2582e643d7d4ef675c9e6480)

commit afd6189d65b06b80a433b6e4e321ac509af0c40c
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Mon Apr 29 05:31:24 2024 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit 9e270790302f075317d8b9eefce914180a26ce81
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 25 13:49:58 2024 +0200

    tcpops: removed unused variable introduced recently
    
    (cherry picked from commit fe8f052c29528b656062927626f9784b32b7c8f6)
    (cherry picked from commit e76d755de6482e51c9ddac5bba3834cb58ad79b2)

commit 365bb5d7fd1534e467f8a2d1b120f2c03fc4caff
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Apr 23 11:19:30 2024 +0200

    core: fmsg - parse loopback ip when initializing faked msg structure
    
    - GH #3817
    
    (cherry picked from commit 66b3c04a9653425b1602c82dd2456a7eb7cf59d1)
    (cherry picked from commit 794c2edeaffe059bf8de6ab1d3df5db003ed4cb0)

commit 50c1b5cfe1b765b98438ac071eaa47c1f2d239da
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Apr 23 10:42:02 2024 +0200

    pv: use global tcp connection callback for event route on $conid
    
    (cherry picked from commit f5c05a68ae72881ab0691bb8488112356fc67c79)
    (cherry picked from commit 7e987d8937349246f2abfa041679f568344ff402)

commit aeba79f5d9d5bf4fffdb64dd2c603fb0e5220652
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Apr 23 10:36:35 2024 +0200

    core: tcp - set a global shortcut to tcp connection for event route
    
    (cherry picked from commit d114d11724dc4157e7e5809504531d26da6bcc57)
    (cherry picked from commit 069de99576b5f8bff002176331ed2f545afe8158)

commit cc7c586fbd72fe132719f3cfdba4809a60668154
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Apr 23 10:21:20 2024 +0200

    tcpops: reworked some debug messages
    
    (cherry picked from commit 27e3b7f3f82957c6dc80f2ff89c40bdd87cecb81)
    (cherry picked from commit c9fe59d6cd73179aa75e21b3b215bc0465b182aa)

commit a794cef754fb3f2bc59d2d6a6d060e9b06367fa5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Apr 23 10:19:29 2024 +0200

    core: tcp - keep connection id on event route cb structure
    
    (cherry picked from commit 11e7d71e5c2ee9428298658ed3b9a0f625d40f00)
    (cherry picked from commit db2e96ec2aacde1bd50b65ea6357388bad39e86f)

commit 6ed99ae36fa16da2f0f59e3b5700abe752a95016
Author: Rick Barenthin <rick@ng-voice.com>
Date:   Wed Apr 17 13:02:02 2024 +0200

    usrloc: check on db delete the return value of memchr
    
    When inserting into the database the AOR is split at the @ sign and
    if there is no @ sign in the AOR only the domain part is filled and the
    user part is left empty.
    
    But for deleting this is not done and the query failed to be executed
    and the AOR is not deleted. This PR add this behaviour of only comparing against the
    domain part if the AOR doesn't contain a @ sign.
    
    (cherry picked from commit 49276a1f43b1a3bf4a8d681888df964000360c79)
    (cherry picked from commit 28bbcd5a50f45b8217125481706180a76323dc44)

commit 09699ba5d4efab0cbe64869c1ed8db73d5dfad58
Author: Xenofon Karamanos <22965395+xkaraman@users.noreply.github.com>
Date:   Wed Apr 10 11:14:45 2024 +0000

    tcp_main: Match wss protocol
    
    (cherry picked from commit 175d755c40bc50b78b2cf4f18ad22429289af90d)
    (cherry picked from commit 3052565e3ce14d5d3c45d790877a562185085548)

commit aff1797bb83a10868914e814702367f98ae53d94
Author: Xenofon Karamanos <22965395+xkaraman@users.noreply.github.com>
Date:   Wed Apr 10 11:13:32 2024 +0000

    core/forward: Match protocol when forwarding
    
    (cherry picked from commit d81e5113884b933251499630d112ec5b1150b8a4)
    (cherry picked from commit 7d103cf3887401fca32d95f7ea7ee10f28e9e127)

commit 63120ef838cbcde1f40862a745b9d31db183a161
Author: Xenofon Karamanos <22965395+xkaraman@users.noreply.github.com>
Date:   Mon Apr 8 09:42:49 2024 +0000

    tcp_main: Update comment docs
    
    (cherry picked from commit 0a28a93c6e060081267dc686e342d45ef03358e7)
    (cherry picked from commit a19e6e0e49d9881ab990d23ad31a95773fe1a00b)

commit 4ccf4c9b5134a0632f5ea5a653a6f5e82c70b6e4
Author: Xenofon Karamanos <22965395+xkaraman@users.noreply.github.com>
Date:   Mon Apr 8 09:29:57 2024 +0000

    tcp_main: Add proto argument to tcpconn_exists function
    
    (cherry picked from commit 6779efd430178adff0ae438d178e38c003e4e05c)
    (cherry picked from commit 0c070443b585c597d2d6249ac6ac32490d9c7f48)

commit 550573b37b566aa46bd94a2a644e9328f87a1bb5
Author: Xenofon Karamanos <22965395+xkaraman@users.noreply.github.com>
Date:   Fri Apr 5 13:23:56 2024 +0000

    tcp_main: Add protocol argument for searching tcp/tls connections
    
    (cherry picked from commit 4a40b16d4f9bef9bc75d3272c83878e6348aa0b8)
    (cherry picked from commit 2661594bf7f31558e6ac7524f33ebb358aefce21)

commit 96ff473191bb24be90e2dde82fccb5ce06698baf
Author: vijay kumar <vijay.kumar@exotel.in>
Date:   Sat Apr 13 01:26:13 2024 +0530

    rtpengine: fix pkg mem leak in send_rtpp_command()
    - freed request.s after sending request to websocket
    
    (cherry picked from commit b4753ae4216b0c960ac094f4be8232fb4d0147b0)
    (cherry picked from commit d2cf78f5c70977639f3b7f66b852350b764e4b13)

commit 8bb69fd5f5911098a3e567887ad2a3a2820ae5e6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 4 13:40:13 2024 +0200

    sdpops: reformat the codecs map
    
    (cherry picked from commit 359a442e14a156b0bcf60dc5b2580cbc57924e34)
    (cherry picked from commit 855c76780c4399d6d9881ce3c525a7df56e111c4)

commit f1969ecaacd47eb03ef6b54d71c70370d9e39150
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Mar 28 08:30:17 2024 +0100

    blst: reformat exported structures
    
    (cherry picked from commit e39557c96d2f419184c826d779f1a3309acc4269)
    (cherry picked from commit e394a05152b29d4009c9cb963bced72526c7651b)

commit b3935051a8112b1a2152d8eb65da29b1941735df
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 27 08:19:03 2024 +0100

    smsops: short reference section about variables
    
    (cherry picked from commit 9a94930ae1168d5df79e3dc1414841cdf23a2eba)
    (cherry picked from commit c0c8ee05ab25256b9154d2056ee04b07f3f2290a)

commit edbcfff018145372fd6fa5d1777912f0f84d8ea7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 26 19:17:23 2024 +0100

    smsops: reformat module exports structures
    
    (cherry picked from commit 9848d43cb367d6901a0b8c727759feb8a8fad930)
    (cherry picked from commit b21a7aaa467f2b76a52308557657c65274e34087)

commit a82d1575d9ac7820e526741fc169033767a10ca5
Author: Elena-Ramona Modroiu <ramona@asipto.com>
Date:   Sat Mar 23 09:58:46 2024 +0100

    corex: fix conditions for dns_cache modparam srv attributes
    
    (cherry picked from commit 8114b2016d032484edafe4edd04fb02d52cfd058)
    (cherry picked from commit 3f44cabcfc0abc83ae1971ac74fbb0bd36829ce4)

commit c90b736a098e1d76224c1e97c2a71423efa5cf98
Author: Elena-Ramona Modroiu <ramona@asipto.com>
Date:   Sat Mar 23 09:51:47 2024 +0100

    core: resolve/create_srv_pref_list() - insert at correct position in list
    
    (cherry picked from commit f35cf8904119dcf582ea2451648de5fef095466b)
    (cherry picked from commit dbf9208f3a402844c9981fb7ed09493a1338dfdd)

commit f225edd2fdc87b0ebf72e15d8a11255ddd86b872
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 18 11:02:07 2024 +0100

    acc: more log messages of failure arsing extra acc string
    
    (cherry picked from commit 04a73ace6572dd5c95a8f50b39b2ce712f7ebe84)
    (cherry picked from commit 91b0962679092f28abb5022d1505372356460f7d)

commit d12613c8e357a8dc882eefe2d84fedd1df97a415
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 4 13:58:35 2024 +0100

    ctl: reset log prefix on reading ctl traffic
    
    - it may be previously set in process by some event route
    
    (cherry picked from commit 5b8b2717ee2f57da932132683b27eb33cea3fd59)
    (cherry picked from commit d45c78eeeaea6a9fc9dcb927436f834392d9d7c9)

commit 92d3b52ca4595a7e4d8ab003951191c387d32eee
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Mar 3 20:57:45 2024 +0100

    core: parser rr - check for rr value before serializing
    
    (cherry picked from commit 6ee26a3ae3293aaeb4507d5d0b16ad31173cc39a)
    (cherry picked from commit 4626cb7f0e0b273153ce0004900a92553783a893)

commit cea618ede170bd02bb7ccd478a4f1a7a6c052cdf
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Mar 1 12:46:17 2024 +0100

    core: select - handle ws and wss inside select_ip_port()
    
    (cherry picked from commit d8e0942c9e83c8cad7c182bf41c156ba35bf24d2)
    (cherry picked from commit 089bf63178039b13cde0beccfacab1536af76179)

commit 02b877493cd6ffc6cfdf7da114d255d1f4710917
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Mar 1 12:41:13 2024 +0100

    core: ppcfg - jump to end when defexp eval does not get a str val
    
    (cherry picked from commit daac0bdb88f6f732bda7c683af45b90f87fdb7c9)
    (cherry picked from commit 4c78a564c5ad8662014cf686428a37238a6d8476)

commit 4b88c5bf30054739f476388523e8d2b2ce84b040
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Mar 1 09:37:59 2024 +0100

    core: rthreads - init return variable
    
    (cherry picked from commit 181c602616e13323786335e8e28f182871aa5e9b)
    (cherry picked from commit 0747c18d5c4db2e7e8408ad2c7efa120ec76523e)

commit 2758754f2bb427bff06b2a6e82175870eced336d
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Fri Feb 2 10:56:41 2024 +0100

    core: properly handle drop() action for kemi engines
    
    - GH #3718
    
    (cherry picked from commit 82593a09f8ef6d53e7e88238c057bbcdd9ab287b)

commit fb685a8bd5d5e34edde44614f313cbb5c27b3c25
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jan 19 09:44:33 2024 +0100

    jansson: declare variables at the beginning of blocks
    
    (cherry picked from commit a2bff77c3f7bfee8dae90c3ef20522d480f2e14d)

commit 46cf3559f4847b00790c043de41699b6c16f4920
Author: Stefan-Cristian Mititelu <stefan-cristian.mititelu@1and1.ro>
Date:   Mon Apr 8 11:35:38 2024 +0300

    pdb server: allow carrier id 0
    
    (cherry-picked from commit 60ded00a3b574a08457a696334d11d668595cc0b)

commit d03d5fdf2b6a29e783738a6ea98c35725826d9ed
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Tue Mar 5 09:59:41 2024 +0800

    tls: NULL safety check
    
    (cherry picked from commit f6f9d90ada963b53b6552e1a172b8f2fd021c33b)

commit caa2412507586329b7b97685203fd8bd54cd2691
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Tue Mar 5 06:47:24 2024 +0800

    etc/kamailio.cfg: document tls_threads_mode = 2 to use atfork handler
    
    (cherry picked from commit 5b4926b04ba0fcd8f65f5709789abd83181a381a)

commit cf764b499fbc3f28f7ed080b488e0e8111687cf8
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Mon Mar 4 22:00:14 2024 +0800

    tls: new option tls_threads_mode = 2
    
    - use pthread_atfork to force all thread-locals
      to 0x0 after fork()
    
    (cherry picked from commit 464299c202f3ba963aed821b777075397e843856)

commit d20df6fb372ab4da0dd5e6f277b08345059c2be5
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Mon Mar 4 21:49:10 2024 +0800

    core/rthreads.h: add new option tls_threads_mode = 2
    
    - add global handling of thread-locals with
      tls_threads_mode = 2
    - this will run a pthread_atfork handler to reset
      all thread-locals to 0x0
    - alternative solution to running functions
      in thread executors
    - requires tls.so to be loaded to be effective
    
    (cherry picked from commit e7f040f219b46592081a6053b4ed1ae0d0552b1a)

commit 822960b0e869b5fce093f708daf65b9f4b4c47f8
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Sat Mar 2 20:46:16 2024 +0800

    tls: basic OpenSSL 3 support of provider keys (replaces ENGINE)
    
    - initial support for v3 provider keys (replaces ENGINE from v1.1.1)
    - can be disabled behind build flag -DOPENSSL_NO_PROVIDER
    - provider keys start with /uri: e.g
      private_key = /uri:pkcs11:token=NSS%20Certificate%20DB;type=private;object=Fork-Test-c67cc0e0
    - global config:
      provider_quirks: 0 | 1
      - 0 - default
      - 1 - create a new OSS_LIB_CTX* in the child
    
    This integration does not load any providers itself and depends on
    the usual
    
    export OPENSSL_CONF=my-openssl.cnf
    
    to configure providers.
    
    (cherry picked from commit 69883dd381368ca219cc52140e71d571775f95d5)

commit 88429b9e3546864845fb1a3c2ce5263620b51c58
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Sat Mar 2 21:41:11 2024 +0800

    tls: remove unused ENGINE define

commit af524f5b2b2fa3de4aa4e198bf3a9f0feff04e17
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Mar 2 08:13:40 2024 +0100

    tlsa: removed the map files used in the past for tls engine
    
    - sync with code of tls module

commit 957c8005d2a97207debf1d3e782c1df5de70d487
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Sat Mar 2 08:29:31 2024 +0800

    tls: clean-up of ENGINE
    
    - remove tls_map.* - not needed anymore
    - install an ENGINE in each worker SSL_CTX
      no need to replicate to all processes

commit 4b206bccc0ed46aac876921009d2884eb868075c
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Fri Mar 1 08:06:13 2024 +0800

    tls: make explicit ENGINE deprecation in OpenSSL 3

commit 0a96c9f4fb3bf179d417b0188d619afd7d9096ef
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Mar 23 00:00:44 2024 +0100

    dmq: fix inter-lock on error
    
    triggered by intermittent DNS resolution error. dmq workers
    were getting locked at dmq_notification_callback_f() due to
    this missing lock_release()
    
    (cherry picked from commit 0d240e4e0dc3184ef37d338ba6872d295d6b16f2)
    (cherry picked from commit 814f5bdc9ee5d4594ffb0fd72843bca7b5fa79ea)

commit 29b6562d8ebe6277fda5524dda18b88cf2a4e1a9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Mar 15 21:24:42 2024 +0100

    ctl: handle int input for double storage
    
    (cherry picked from commit 1380a4a0d18159c7130b70c0216134a253ad83f7)
    (cherry picked from commit 90f8117f9669069b4dab7e9d747dfa06245ec8a0)

commit a7e9a26542010e1677fcb0e305e7d371e5467dba
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 19 17:39:19 2024 +0100

    ndb_redis: break on finding a server via sentinel inside redisc_reconnect_server()
    
    (cherry picked from commit 951ab118bb7d9955f8e69b66bec1f0c107d474a2)
    (cherry picked from commit 60fd6c2622c9c5edbe82908c0e461d646225c8a6)

commit 4cc28e453d8e62b9f6e2725b9496600c662a8811
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 19 14:29:11 2024 +0100

    ndb_redis: fix index on parsing sentinel address inside redisc_reconnect_server()
    
    (cherry picked from commit c8f3b496a05ae5bf29341dc7e2630f951d4effc5)
    (cherry picked from commit 86df978bc9842687035d6673ee1b71e542dcbd71)

commit f654b9c1943be6816827f9048627a7c8a7fe50f6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 19 10:21:51 2024 +0100

    keepalive: small formatting updates and comments to the ka dest structure
    
    (cherry picked from commit cee82c92b06a026b88fea654944f6146eb5cb4d8)
    (cherry picked from commit a7d4ce95b383dc26c547ef9ee07b05d51abc50f9)

commit 6a9caa099352a31a2f14012d16c01d55c9250f02
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 19 09:51:28 2024 +0100

    keepalive: proper storing of last up/down timestamps
    
    - GH #3790
    
    (cherry picked from commit 9e2a0ee545646bd4491ecdbe58d7fea770764b54)
    (cherry picked from commit 0b3aa00775a5c0b4b1dc4990f4c26bc637fc6de5)

commit c717c016b70a82566dfc58d8d9dee3d3f51ddb01
Author: Stefan-Cristian Mititelu <stefan-cristian.mititelu@1and1.ro>
Date:   Tue Mar 5 16:30:01 2024 +0200

    pdb server: Return negative carrierid for failures. Clang format
    
    (cherry-picked from commit 88b698e0f62c39ed60af9f0a4fb3ca2dc6867d8f)

commit e8150f78630f7991ea31a385c899c32c0e330a26
Author: Stefan-Cristian Mititelu <stefan-cristian.mititelu@1and1.ro>
Date:   Tue Mar 5 16:14:11 2024 +0200

    pdb: Return negative carrierid for failures
    
    (cherry picked from commit bf78b619ae28924361fb2c757a4d09eb1a39f5cd)

commit 1666d4bce924b8c0d44119491199a164c9642469
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Mar 9 20:11:07 2024 +0100

    topos: properly handle cases of no user in contact for mode 1
    
    - contact mode 1 accepted cases with no-user in contact uri but not in
      r-uri, however, requests within dialog can have one's contact in r-uri
      and then processing failed
    
    (cherry picked from commit 24e410f9a20d004f55bcc79cd10fb35cb26e4570)
    (cherry picked from commit 45ee72fcf0ae8aeb135196ef8729fe0cea14048e)

commit 0f31190eb15b1e1244f478cc9538bf071317cb35
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Mar 8 19:43:49 2024 +0100

    topos: small rearangement by removing else after return in the true block
    
    - reduce level of indentation
    - a few wraps in curly braces for clearer view of the if block
    
    (cherry picked from commit b6fccea258e56b7d3195659245713a6d44acb013)
    (cherry picked from commit 772b464552cff0b9ebb769e57fae718c0357ba11)

commit 3eb545779876265f4587ff8ff627530b70c761dc
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Thu Mar 7 10:17:45 2024 +0100

    modules: readme files regenerated - modules ... [skip ci]

commit e66915b95fda66ab9d2981854894707813e331ee
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Thu Feb 29 19:01:14 2024 +0800

    tls: fix OpenSSL 1.1.1 engine keys
    
    Cherry-pick from e535cc5eb2

commit 1d9ea67eb29b4fd45c00a00581e7b73a9b42c8ce
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Tue Feb 27 12:38:09 2024 +0800

    http_async_client: libssl refactor thread executors for curl
    
    Cherry-pick from 6a0c86bba8

commit 8098136ccbe2050b499d3d962c44d58203afc370
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Tue Feb 27 05:01:45 2024 +0800

    xcap_client: libssl thread executor for curl_global_init()
    
    Cherry-pick from f5164b39c8

commit d9285fc741c2a3c3995e037c23393df108e94bf1
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Tue Feb 27 05:01:31 2024 +0800

    http_client: libssl thread executor for curl_global_init()
    
    Cherry-pick from f58225950c

commit d01b6e22e083c6fab457f8fbe1c8ac2526a37d30
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Tue Feb 27 05:01:14 2024 +0800

    http_async_client: libssl thread executor for curl_global_init()
    
    Cherry-pick from 514635dc3e

commit 0f1d78a22aeefef7601d0cf646ec154f5e52c175
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Tue Feb 27 05:00:35 2024 +0800

    core/rthreads.h: add thread executor for curl_global_init()
    
    Cherry-pick from db05449932

commit f850f4eef66b6461bb93ede9bf67b52458e18856
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Tue Feb 27 05:07:27 2024 +0800

    Revert ed9d7bc58b - split into per module commits

commit ed9d7bc58b1896652f2526daa524531a0945b7b3
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Mon Feb 26 10:25:19 2024 +0800

    OpenSSL integration: manage curl_global_init(...) used by modules
    
    - http_client, http_async_client, xcap_client use libcurl
    - call curl_global_init in a thread executor as it invokes
      OpenSSL functions on Debian 12
    - clang-format
    
    Cherry-pick from ac4f1be039

commit 88e1dce91b2db99bf24a01e910dc5f2d78e62e1a
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Sun Feb 25 12:56:19 2024 +0800

    tls: fix restore early init
    
    Cherry-pick from a02ca644e8

commit 73b19da1e0dd512f9eb77ca0606092c545e8fb99
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Sun Feb 25 08:03:17 2024 +0800

    tls: restore early init for other modules that use TLS
    
    Client modules (e.g. dispatcher) that require outbound TLS
    may race if tls init is too late.
    
    Restore tls init to PROC_INIT with a thread executor.
    
    Addresses GH #3765
    
    Cherry-pick from 706d7b7ff3

commit 46c0db156ab12a94419324947b806176b6cc14a8
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Wed Feb 14 19:49:10 2024 +0800

    db_mysql: libssl thread guard for db_mysql_query (and libmysqlclient)
    
    This function is observed to call SSL_read() when compiled with
    libmysqlclient.so.21 (but not libmariadb.so.3).
    
    Apply a thread executor just in case.
    
    Cherry-pick from 1e42364451

commit 2c082bd135203382855b297de736b22fbedee672
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Wed Feb 14 14:59:52 2024 +0800

    db_mysql: update docs for opt_ssl_ca
    
    Cherry-pick from eafd93f057

commit 29f848c9a658af33b6a9693d709edf3a340c95d0
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Wed Feb 14 14:15:10 2024 +0800

    db_mysql: new module param opt_ssl_ca to configure CA certs
    
    ERROR: db_mysql [km_my_con.c:200]: db_mysql_new_connection():
    driver error: SSL connection error: CA certificate is required
    if ssl-mode is VERIFY_CA or VERIFY_IDENTITY
    
    When opt_ssl_mode = 4 | 5 libmysqlclient.so.21
    requires that the trusted CAs be configured.
    Fixed with:
    mysql_options(ptr->con, MYSQL_OPT_SSL_CA, (void *)db_mysql_opt_ssl_ca)
    
    Note: libmariadb.so.3  doesn't require this setting
    and uses the system trust store.
    
    Cherry-pick from ea81e6cb8b

commit a0dfb8cbdf4282040351e9dc014d9ef13e0e77fd
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Tue Feb 13 19:10:34 2024 +0800

    tls: raise logging level of early messages in mod_register

commit 5d7d7ea54c908cae333ed3cafd4a2cc93cacd4db
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Tue Feb 13 17:23:31 2024 +0800

    tls: add logging

commit eb7aa57676f48f16cc66a16c511ed45ac9c8f62e
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Tue Feb 13 07:15:05 2024 +0800

    tls: restore some function calls in non-threaded mode
    
    In the case that tls_threads_mode = 0 we restore the earlier
    behaviour of 5.7.3.
    - OpenSSL 1.1.1: restore early call to RAND_set_rand_method
    - OpenSSL 3.x: restore enable locking on EVP_RAND_CTX

commit 253f13f18ec6853764d950d58f467c331d03425a
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Sun Feb 11 12:14:19 2024 +0800

    tls: restore default to bypass thread guards
    
    - restore <= 5.7.3 behaviour
    - require user to opt-in to libssl thread-guards
      with tls_threads_mode = 1|2

commit 2f0cca81bfc47783098e4c869b038229cd3e4ed0
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Tue Feb 6 11:09:04 2024 +0800

    Sample etc/kamailio.cfg: global var tls_threads_mode
    - load tls first if used
    - global var tls_threads_mode

commit bf40176e34e869b567a0f36eab28739508797080
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Sun Feb 11 12:05:53 2024 +0800

    core/rthreads.h: use global ksr_tls_threads_mode to constrain thread
    wrapping
    
    - 0: run wrapped function directly
    - 1: run wrapped function in thread for process#0 else run directly
    - 2: always run wrapped function in thread

commit 3697d763e340b7e88532a8b1920b0088c08fbc72
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Feb 6 14:24:08 2024 +0100

    core: added tls_threads_mode global parameter
    
    - control how to execute functions that may be using libssl3 behind

commit f4edfd47aa18aecaf5650bb39a69c6e800c14f2d
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Thu Feb 8 12:50:03 2024 +0800

    db_mysql: libssl thread guard for db_mysql_close

commit 5808226593fcf11d4713b2161809466568c51682
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Thu Feb 8 07:41:45 2024 +0800

    db_unixodbc: libssl thread guards for db_unixodbc_(close|free_result|query)

commit 0936b6b70efe2e9d05766ce925ca10e4ff4bf7be
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Thu Feb 8 07:18:16 2024 +0800

    db_postgres: libssl thread guard for db_postgres_close

commit 0d0c9910095e3e87a4d27be5af30f02cd5f26020
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Thu Feb 8 07:30:48 2024 +0800

    core/rthreads.h: thread wrapper for db_XXXX_query

commit f028972588296858429e28f941a085131af8084c
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Tue Feb 6 19:31:49 2024 +0800

    core/rthreads.h: use thread wrappers only for process#0
    
    - for process#0 use threads to avoid initializing libssl thread-locals in thread#1
    - for process_no > 0 revert to standard behaviour and reduce
      overhead of creating threads

commit 63009ee559bb68a3fde0b7f479d3023b06a6c376
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Tue Feb 6 00:29:55 2024 +0800

    db_postgres: handle SSL and submit query
    
    (cherry-pick from d638c774ed816eec800e72ba2546004215cfe097)

commit 103c62ba675f8d306e1c0fb60ddfd4c4bca1e931
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Tue Feb 6 00:29:41 2024 +0800

    db_mysql: handle SSL and submit query
    
    (cherry-pick from 51d9f92eca3ef1044052581c9438af6e643652a1)

commit 579d39736b8f11d0e5c68715ba3a9aafc07cd7dc
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Tue Feb 6 00:23:16 2024 +0800

    db_unixodbc: handle SSL and submit query
    
    (cherry-pick from 7d917e6649be7188bb9ab152ada75bc7199b2980)

commit 6f037a48f706e6108a063883f9e9a324bea56da9
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Tue Feb 6 00:22:52 2024 +0800

    core/rthread.h: add prototype for db queries
    
    (cherry-pick from ba921b2112e87625fba5789d1b049161bb611073)

commit 74636a9bf53524a6d60351c1569a033270677d6c
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Sun Feb 4 10:11:45 2024 +0800

    Revert "tls_wolfssl: enable building with external package"
    
    This reverts commit 53ce759091f78ffecc6b4047ff3e8885329d718f.
    
    < 5.8 does not have 16-byte memory alignment

commit ede2af94386b99a87311351fcbdd15280dc11034
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Tue Jan 30 16:49:32 2024 +0800

    db_mysql: backport - no TLS with MariaDB Connector/C
    
    - GH #3735
    - includes compilation and stretch fixes
    - emulate SSL_MODE_XXX from MySQL
    - opt_ssl_mode:
      - 0|1(off)
      - 2|3|4(MYSQL_OPT_SSL_ENFORCE)
      - 5(MYSQL_OPT_SSL_VERIFY_SERVER_CERT)

commit d2cc8657b06c8ca33c59c82dbf739d67a5ce8fa0
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Thu Feb 1 10:07:08 2024 +0800

    db_unixodbc: init libssl in a thread
    
    From:
    - 2611a4670c65dd32fc1daf6b67e37852936ba69c
    - b71ce6e5733ab08b84ff09481ada91e5fca43a33

commit 3644522e041920bf508d16c2992a216df656702b
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Thu Feb 1 10:06:11 2024 +0800

    db_postgres: init libssl in a thread
    
    From:
    - 3426b153d02d9d8d3e909eff9d18cb14108072ca
    - 8a1c383f6af5bc0547e32430a4469333160b93e6

commit bfb7cbcaa16e5f392cc77d7e2e8ea2b75064ace0
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Thu Feb 1 10:05:39 2024 +0800

    db_mysql: init libssl in a thread
    
    From:
    - 5dffb934a2f7f986fdc09e433833991c54612646
    - 733a268114261d49ed11aec83fe39ea8c34a0b69

commit 9a87d12d6e9e68cd8c0ff7ac5755e899cf81b703
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Tue Jan 30 14:07:11 2024 +0800

    outbound: init libssl in a thread
    
    - use core/rthreads.h
    - Xenial(OpenSSL < 1.1.1) fixes
    
    From:
    - 94f6df509bf77c19c745749716a9e075ec17f3c7
    - 8bdd9ca4b3c3d4f9f2f201b0a9e0ad9a61eee41d

commit 5132dcef7a067c1337256c93f8469cb07542d9c5
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Thu Feb 1 10:03:47 2024 +0800

    core: add infrastructure to run functions in threads
    
    (cherry-pick from f8909163c47c8776d23373fad688586f02d31e67)

commit 53ce759091f78ffecc6b4047ff3e8885329d718f
Author: SPChan <shihping.chan@gmail.com>
Date:   Sat Nov 18 19:21:40 2023 +0800

    tls_wolfssl: enable building with external package
    
    Re-enable this feature as backward compatibility has been restored for
    Debian bookworm and Ubuntu jammy
    
    - build with git submodule: make ...WOLFSSL_INTERNAL=yes... - the default
    - build with external package: make ...WOLFSSL_INTERNAL=no...
    
    Internal:
    - v5.6.6-stable
    
    Debian:
    - trixie: libwolfssl42
    - bookworm / bullseye-backports: libwofssl35
    
    Ubuntu:
    - noble: libwolfssl42
    - jammy: libwolfssl32

commit 41f9a92a9725a5ae6af473863bbd3a1cd0dccd38
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Tue Jan 30 22:12:18 2024 +0800

    tls_wolfssl: un-break jammy using libwolfssl32
    
    (cherry-pick from 1e87f96ad3a85b35935f14db36626036469cb6b0)

commit d72637b8a76217dcd9b15504783279fd8800543a
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Mon Jan 29 20:02:42 2024 +0800

    tls_wolfssl: fix possible uninitialised variable
    
    (cherry-pick from 9560e973807bc454dab84bdfd5ac0e300c847864)

commit 07afe1b520961de0e5271f0921742d1465fa55e9
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Mon Jan 29 11:26:35 2024 +0800

    tls_wolfssl: clang-format
    
    (cherry-pick from 0f963a7a1e2aca28611c2238f4c29180a0acd320)

commit 2e6e879adc949b52cd2824fa233db901e5d045bc
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Sat Jan 27 07:09:19 2024 +0800

    tls_wolfssl: fix ring buffer write
    
    (cherry-pick from 04ca08d0da622519578c479664a85563ec6db483)

commit dee31a1eaace4d4c40ee5ef9591379768d4fad75
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Thu Jan 25 21:44:07 2024 +0800

    tls_wolfssl: allow building with debian libwolfssl35
    
    - internal submodule is v5.6.6-stable
    - libwolfssl35 is at v5.5.4-stable
    
    (cherry-pick from 43ec11a7e0a37dfdaead873d555b26cb65589bd1)

commit 8e915d440293df2ba3b2700e5a4705123925be9a
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Wed Jan 24 16:30:48 2024 +0800

    tls_wolfssl: clean-up; continue to remove OpenSSL-isms
    
    (cherry-pick from 5d3c11c5e0854ce74424a10a88b0cca4453cee75)

commit 893e9ea4364f60c32a5477c5b75bdc24b619dd52
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Tue Jan 23 23:13:08 2024 +0800

    tls_wolfssl: clean-up; remove OpenSSL-isms
    
    (cherry-pick from 3d0e7521c6de4023b6595685fc306129ef57b8ac)

commit 4240cbc1bdbf9eb5d8b3f7473fbf4ee9d4d90650
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Sun Jan 21 18:17:37 2024 +0800

    tls_wolfssl: refactor custom BIO
    
    - remove use of custom BIO at the expense of some memory copies
    
    (cherry-pick from 32089e134413200bf5d1a97f207378b7d10e65a2)

commit 8e7df1345c828eeb6b999c30069e75ccdd440200
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Fri Jan 19 12:16:01 2024 +0800

    tls_wolfssl: use shared WOLFSSL_CTX
    
    (cherry-pick from 88f27e2b89142652ea1b8f133df1ff403f9f61b2)

commit 0a481501024b0e85bde8fa74cde1df2bebaa167b
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Thu Jan 18 12:38:09 2024 +0800

    tls_wolfssl: clean-up OpenSSL compatibility
    
    - remove unneeded OpenSSL-isms
    
    (cherry-pick from 255e563e94e9536f0e541c3baeec45cbc68fac5b)

commit 306b4b09e3cb46a0fe8bc2d25344e5cfa52941e0
Author: Stefan-Cristian Mititelu <stefan-cristian.mititelu@1and1.ro>
Date:   Wed Jan 10 17:20:27 2024 +0200

    xlog: add kemi xlog_facility function
    
    (cherry picked from commit e506b60c1045cfbd4485434165305fbc2fb57aa9)


===================== 2024-01-18 Version 5.7.4 Released =====================

===================== Changes Since Version 5.7.3 ===========================


commit 116ce498cba50a071ee878e803dbcf63530688cc
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jan 18 10:49:23 2024 +0100

    Makefile.defs: version set to 5.7.4

commit 743cfae479bed2e5f09ed8e1cd4f3a959299e3ab
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jan 18 10:30:20 2024 +0100

    pkg: deb specs updated for v5.7.4

commit d5cf7148375feb7d4202a07023caaeaeda3396c7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jan 18 09:30:27 2024 +0100

    pkg: version set to 5.7.4 for rpms and alpine specs

commit 3b79c1ef3cc6c1019fe7cb99ff77e0c51d8e789a
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Thu Jan 18 06:21:55 2024 +0800

    tls_wolfssl: clean-upâusing wolfSSL native naming for functions / structs
    
    (cherry-pick from 5bbb224fdad1770150dd2fc37c69393aeda96d40)

commit 784bb3b397cc1922d06054c611c443dd19216504
Author: Elena-Ramona Modroiu <anomarme@users.noreply.github.com>
Date:   Tue Jan 16 16:07:43 2024 +0100

    tls: set parameter name for tls_h_mod_randctx()
    
    - without it fails to compile on Unbuntu 22.04 with low latency kernel
    
    (cherry picked from commit 03456e5e5983e2236b8e182cf3317d14ebf34e18)

commit a539ca32ec3a898e354aab90d899b99564064392
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jan 11 08:21:00 2024 +0100

    core: keep listen socket even if advertise address does not resolve
    
    - the core advertise_address parameter works in the same fashion
    - previously it was starting by skipping the listen, which resulted in
      unexpected runtime list of sockets
    
    (cherry picked from commit b50036200c5bc09fd2d412a18585b42d63763b27)

commit 2dff6f52d1393cf8eabe714262ec8e56aad0d212
Author: Federico Cabiddu <federico.cabiddu@gmail.com>
Date:   Wed Jan 10 08:52:03 2024 +0100

    http_async_client: exit mod_init if tm is not loaded
    
    (cherry picked from commit 5a40d1ef1b484c4fc437a3f0183a101241e80313)

commit dc59286c26e9799f86e698a9698c9da846a2a41a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 9 14:06:21 2024 +0100

    htable: read rpc number value as long
    
    - remove autoconvert for number, it is only for string values
    - GH #3674
    
    (cherry picked from commit 577fb11010ff61af3c4b567581c0bbc5404654c8)

commit 37a07037b6e3485f3ddd1b27b1998af6e4283bcb
Author: Dennis Yurasov <dennis-y@yandex-team.ru>
Date:   Wed Dec 20 16:11:56 2023 +0300

    dialog: fixed saving dialogs on shutdown that are already loaded at startup when using db_mode 3
    
    - The dialogs that loaded at startup are not saved in DB on shutdown, and so not loaded at restart,
      fixes issue #3669
    
    (cherry picked from commit 2d00ce546bb0852dc1784d5bc2e794d06f919577)

commit be5b4b160ecff8dc398735fbd28ceb71845f1bef
Author: Nikolay Ivanuschak <ivanuschak.nikolay@gmail.com>
Date:   Mon Dec 18 22:20:50 2023 +0300

    core: fixed haproxy protocol parser
    
    fixes GH #3683
    
    (cherry picked from commit c5237830f3e7fbeec403a0190471a066081c1117)

commit fc0bd88b55121e3588f5793480f0594e44bf2b17
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 26 17:51:48 2023 +0100

    statsd: use bool type for local variable to match return of function
    
    (cherry picked from commit 0186246fce8f0e4bb46b30c05174983cd957a3ba)

commit 6cd8f2acc0601fbd040999d776f15b828d6e4946
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Dec 24 12:20:57 2023 +0100

    tmx: rework cleaning up on init failure
    
    (cherry picked from commit 5192e5d275761ccd1af49d4bf9dd12e1438947b7)

commit 916d02d883dc938247576bdf8f5c5b23a588cb9c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 22 14:50:59 2023 +0100

    tm: make lookup event_route[tm:local-response] only once
    
    - related to issue #3064 and PR #3687
    
    (cherry picked from commit 1f5444fd2e25d227ffd70f1087d057a3b8002558)

commit 5a26d9e9fba36a49a93bb3b886836615f62ed3d1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Dec 18 12:31:34 2023 +0100

    pv: removed unnecessary condition
    
    (cherry picked from commit 2f43510be37c157f800389dfb432b6c52d7435a7)

commit 2d385c1983a921a95fb392e8aea0332fdc10a387
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Dec 18 12:22:25 2023 +0100

    pv: typo in transformation log message
    
    (cherry picked from commit ca2a9479adf720e67bf50c9d2795cc8937e223dc)

commit 0ca30e87655798e3841c005abb63ca66bb2ca0aa
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Dec 16 20:04:08 2023 +0100

    core: srjson - init vars and check scanned values
    
    (cherry picked from commit 678b1a68de86d9539adeaf0262d9735b8d435077)

commit 4371adffc07bb555e2a52dedd6cd5afa2631287a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Dec 13 12:23:23 2023 +0100

    app_python3: check allocated pointer
    
    (cherry picked from commit 49b3b90cd229b7c4da06b61cdfd782450d383cc9)

commit 62b76c076ff0f36b847a13c180b7d5090e98d94e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Dec 13 12:15:28 2023 +0100

    core: check if conversion could not be done
    
    (cherry picked from commit 077651fa3bfd50e0f654c907f3783b1421497bd5)

commit 0712576dc4d57ba41e45012486dd206d955c35e6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Dec 13 12:08:56 2023 +0100

    registrar: check returned branch pointer
    
    (cherry picked from commit 5d641f56fc1bc342d9be008ecd96959e114fef66)

commit 1189bb2962dd80c21a1d497125f3199ccc018270
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Dec 13 12:02:01 2023 +0100

    tm: check get_t() result for consistency
    
    (cherry picked from commit 1191ab4e5e03b35714ec1ad9d9bf2dd9665c71fd)

commit 37621005e38a0191a93fbaf4f39b8b88c7486c9d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Dec 9 20:07:37 2023 +0100

    dialog: check first the size
    
    (cherry picked from commit 9db18bc48bff0d230e66973a45c8e72e1b7744e8)

commit 81dce4e5003f3c00301671144ac67877f5824b72
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 8 16:23:03 2023 +0100

    core: xavp - info long when skipping serializing a field
    
    (cherry picked from commit 5d97afefd2a8f53072a36b6eb8927c180fb984c9)

commit 3046d01bed4bdd0fe763fd770ffc8f7aeeae3418
Author: PeÌter BarabaÌs <peter.barabas@securesoft.hu>
Date:   Wed Dec 6 21:16:46 2023 +0100

    uac: fix socket length settings
    
    - set _uac_req.s_sock.len value to 0 in pv_set_uac_req() method in case of "all" case
    - change setting of _uac_req.s_apasswd.len to _uac_req.s_sock.len in pv_set_uac_req() method in case of "sock" case
    
    (cherry picked from commit 10519d199f6cac116399f4473bd82f2b08de72ba)

commit 065203150aaf2f99bd6fe40ce5ffb960bd430c16
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 5 10:27:32 2023 +0100

    dialog: prevent duplicate of leg1 attributes in json for dmq
    
    - reported by #3656
    
    (cherry picked from commit ca7e1e49aecd3e0f12cc783e3b97868980f1d3d2)

commit 18fead63dca0982df500b35b7c4e2d06550d9b40
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 20 10:07:50 2023 +0100

    core: set proto on fixing forward actions
    
    (cherry picked from commit e51ccd11fe51f2d53dd7719b8fdec561a6ba7494)

commit d411c6ea4358e6d9dd367349e877ed5f5bf4bb2f
Author: Federico Cabiddu <federico.cabiddu@gmail.com>
Date:   Tue Jan 16 09:42:27 2024 +0100

    dialog: don't send the BYE if dialog is in deleted state (#3714)
    
    (cherry picked from commit 695f155f3a127f0bbe220a6b44a0fc3887e1e4be)

commit b6796b110adbe4dec7ac1acb1d7d70bdc58bf1c2
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Tue Jan 16 16:36:25 2024 +0800

    tls_wolfssl: mask outer make DESTDIR=XX if building internal submodule

commit d5ebc2716992c2480c604555511511ce043bead7
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Tue Jan 16 16:13:55 2024 +0800

    tls_wolfssl: update to v5.6.6-stable

commit 449155221586294d716e760fbabbd4e101ad1be2
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Mon Jan 15 21:32:53 2024 +0800

    outbound: update to OpenSSL 3 API
    
    (cherry-pick from fe5c7125c66e37d2db032a63328ad713738a4b0c)

commit bbbcb27040c632642c50209455efbb8225888723
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Sun Jan 14 14:08:03 2024 +0800

    tls: remove thread-enablement on EVP_RAND_CTX
    
    - with late initialisation it is not necessary to enable thread locking
      on EVP_RAND_CTX
    - the function remains but is not used in case requirements change
      with OpenSSL >= 3.2
    
    (cherry-pick from 8dffc45ee91aeed839efb38d17040359dcac953a)

commit c5ed0e65b2530443b1367986dac2b3da111c0701
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Thu Jan 11 08:03:07 2024 +0800

    tls: historical code comment on repeating SSL_CTX per worker
    
    (cherry-pick from 29007ada5bc9e07ede3cdbce285f04d1298c0612)

commit 1eb1d50e676fe8f81521c209f37ffe907fa9cf94
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Fri Jan 5 20:56:39 2024 +0800

    outbound: build, fix missing argument name
    
    (cherry-pick from 4708f537d7f5d28123b48cd89474a4931dd698ad)

commit fe0968687d5ee7918f6a18591623fcb1b5fe2004
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Thu Jan 4 21:47:23 2024 +0800

    outbound: OpenSSL 1.1.1 thread-local, init libssl in thread
    
    (cherry-pick from 689de2736f5c92f11860e5854ccd95c84239f032)

commit 31e42aade0a42aac8a128a4af3f37edb23bb3ab8
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Thu Jan 4 20:11:21 2024 +0800

    outbound: OpenSSL 3.x thread-local, init libssl in thread
    
    (cherry-pick from 4742c8131aba878c4fc954e42b656b9d4bafdd24)

commit 7060ad2b0ebf90288be9d8d7e9d789ccbb3aebdc
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Fri Jan 5 07:38:56 2024 +0800

    tls: OpenSSL 3.x/1.1.1 thread-local, clean-up dead code and preprocessor blocks
    
    (cherry-pick from 798cc26908395d2ba21015684ad6f0ac4f012b2e)

commit e73b07e9835ba5f0b89065616d8cd6390898d700
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Fri Jan 5 08:09:34 2024 +0800

    tls: thread-local, revert 1a9b0b6361 as double-layer locking is redundant
    
    - the 2nd lock was put in place as defensive programming for shm contention
    - GH #3695: the underlying issue is early init of thread-locals
    
    (cherry-pick from 1c70775530b1a3a905e8a983610cb0d092b0d240)

commit c011f518b083fc2f7da3a08a2c1a306c6122b04c
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Thu Jan 4 21:56:00 2024 +0800

    tls: OpenSSL 1.1.1 thread-local, init libssl in thread
    
    - no need for RAND workaround; default is OpenSSL 1.1.1 RAND
    - linux/pthreads will handle forking
    
    (cherry-pick from 7b531cfe038fae5e3414ac74c4e076c10e32b86c)

commit 90ea4120c04cb70f858f417309ee4fab71a070e7
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Thu Jan 4 21:51:15 2024 +0800

    tls: fix compilation with OpenSSL <= 1.1.1
    
    (cherry-pick from 7111687e1107261bcdd7a9f8cc90959754c93272)

commit ed2d70359723458089dd8a62fe1e37a60dd83869
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Thu Jan 4 20:00:09 2024 +0800

    tls: OpenSSL 3.x thread-local, init libssl in thread or PROC_SIPINIT
    
    - avoid initialising ERR_STATE in rank 0(thread#1)
    
    (cherry-pick from e49a60e1052c6c1dcebe7f78f2ac970338eabe2e)

commit bfc63986ae7239a64803b8f20f634522bc584948
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue Dec 12 15:38:33 2023 +0100

    pkg/kamailio/deb: override lintian error on stretch [skip ci]
    
    (cherry picked from commit aaeb54c8b630b4aac50df75ff430ad5baea6746c)

commit 75aecd3f2e10509d5ed71cc5e89ae6f5c3bd0fea
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 12 13:08:18 2023 +0100

    pv: remove extra len increment for some uri transformations
    
    (cherry picked from commit 3fe9a279abecf6f367ce9fd2d4b085c41c87ad77)

commit 8674b333300d5829bff9cb4993886bcf7bea249b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 8 22:10:36 2023 +0100

    core: parse privacy recompute lenght of rest to parse
    
    (cherry picked from commit 804ee651b45498727196886c97cb55d20b254c4a)

commit b634dc7f4d8f1653502328488f0dded134547b54
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 8 12:34:56 2023 +0100

    tls: init early the local lock for memory
    
    - needed to done before mod param init_mode is set
    - runtime uses the modparam to do lock/unlock
    - #3668
    
    (cherry picked from commit 1a9b0b63617afebcee2aecb3b2240d7684ecabc2)

commit 63e8749132257ef1f8c8d86ec78f6db2c699f1c8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Dec 7 13:00:50 2023 +0100

    tls: rework init mode 1 to set PTHREAD_PROCESS_SHARED
    
    - pthread mutex set in shm
    - GH #3635
    
    (cherry picked from commit 4b068f49b618dca5fa85a1687bd9054c1d98ae6a)

commit b29d5808505aa072fd23b59adf7943fb13ea98a2
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Nov 29 17:21:59 2023 +0100

    Makefile.groups: fix ktls when KTLS_INCLUDE_TLSA is not set
    
    fix #3660
    
    (cherry picked from commit aef29af56cabaf626e2ae552ae69c3cd2f692a27)

commit 0d028d9a4900411856a64ab31f81f57e3fc68099
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Nov 24 14:21:27 2023 +0100

    pkg/kamailio/deb: include tlsa in tls package [skip ci]
    
    * skip xenial since build fails

commit 7f07a6ef9ae90baee4281394d0dcf505b30c8fcb
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Nov 24 10:38:49 2023 +0100

    Makefile.groups: tlsa in packaging group ktls if KTLS_INCLUDE_TLSA=yes
    
    - if not, then it is in separate group module_group_ktlsa
    
    (cherry picked from commit a49c8d8d968e31a539e47db6c06a0756e4be55e3)

commit 1de0032363ffb0fb6e257497a173f70deac58525
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Nov 23 12:35:48 2023 +0100

    websocket: use literal module name for stats group
    
    - prevent conflicts with global exports
    
    (cherry picked from commit 93609b53d70df84788741800fc2b80c5502a3358)

commit 292c8764b22d3cdb78a85f101b0359424d138d5d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Nov 23 12:35:47 2023 +0100

    usrloc: use literal module name for stats group
    
    - prevent conflicts with global exports
    
    (cherry picked from commit 186ae3eef7f3e1b5ad6222c98a2f35a487deb316)

commit bf665fc6d398009a0643cb60f9dad95f66cdb17c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Nov 23 12:35:47 2023 +0100

    tsilo: use literal module name for stats group
    
    - prevent conflicts with global exports
    
    (cherry picked from commit a9d29645ab417c9b0f7afc6745e6dd54bdac07b4)

commit d5829f56bfc36133ba6db124bf738a6b9a90c904
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Nov 23 12:35:47 2023 +0100

    tmx: use literal module name for stats group
    
    - prevent conflicts with global exports
    
    (cherry picked from commit d4c0e1bbcb0e423a545650aad4fbb4b2da8bb488)

commit 21abe7ab16d450f1b085a97a4c0f416d45ac2daf
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Nov 23 12:35:47 2023 +0100

    sst: use literal module name for stats group
    
    - prevent conflicts with global exports
    
    (cherry picked from commit 96bdd69945af9f08e6c89fb725248b8b268ee71a)

commit 9a768e006eb0b6ab508ebc5385690eb87711e14f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Nov 23 12:35:47 2023 +0100

    siptrace: use literal module name for stats group
    
    - prevent conflicts with global exports
    
    (cherry picked from commit 92cdcb4bd280850743b3a952f1b6003be69daaf2)

commit 9a658e0533e592641f86db037eb398ae34f65848
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Nov 23 12:35:47 2023 +0100

    sipcapture: use literal module name for stats group
    
    - prevent conflicts with global exports
    
    (cherry picked from commit 01abed3ef17f6a5f0f215675a2980f0b9a4267fd)

commit 1467f7517b6256a712eeb93288561934477f36a4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Nov 23 12:35:47 2023 +0100

    registrar: use literal module name for stats group
    
    - prevent conflicts with global exports
    
    (cherry picked from commit 0516fb802628ddb659a130aa2959df5b0b8e0c96)

commit 59c32aef1e40edcfb081a18728b4e6029d2d2be8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Nov 23 12:35:47 2023 +0100

    p_usrloc: use literal module name for stats group
    
    - prevent conflicts with global exports
    
    (cherry picked from commit a951cb44ecbcd0f9cba937176ea5117c6a1d15b6)

commit 21f4e3c9ce4a6d7ae87ad746742b283dde621a50
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Nov 23 12:35:47 2023 +0100

    nat_traversal: use literal module name for stats group
    
    - prevent conflicts with global exports
    
    (cherry picked from commit f35f327a528670dcca0d7a767643a222f1aebd89)

commit 51937a32b205288ebeddfac7c4310b1f3ce698e7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Nov 23 12:35:47 2023 +0100

    msilo: use literal module name for stats group
    
    - prevent conflicts with global exports
    
    (cherry picked from commit 609960812c572d2d19ba774b064fdf7e2ac45765)

commit 876fa1d0667acb2c46e5b8643cdb994546e45b21
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Nov 23 12:35:47 2023 +0100

    ims_usrloc_pcscf: use literal module name for stats group
    
    - prevent conflicts with global exports
    
    (cherry picked from commit d29b3d6515f74d4cd7417dc9030d8ca53d57054e)

commit e96ecec877f2f9bc13000c7bd752ed8f1ec41935
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Nov 23 12:35:47 2023 +0100

    ims_registrar_scscf: use literal module name for stats group
    
    - prevent conflicts with global exports
    
    (cherry picked from commit 641d29820f8536247c49d5fb4caa882764dbd9af)

commit b5a2b0c782a18cd807d6d4851baa9be2bd299a0c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Nov 23 12:35:47 2023 +0100

    ims_icscf: use literal module name for stats group
    
    - prevent conflicts with global exports
    
    (cherry picked from commit 39514660001b37eabfe3af6818949586fae9a4bf)

commit 6f3f297ea64a8fed4c77fdaf2abc90e468f6443c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Nov 23 12:35:47 2023 +0100

    ims_auth: use literal module name for stats group
    
    - prevent conflicts with global exports
    
    (cherry picked from commit 524eeca084e0a0e61ad80f349ea79f8b1c3031f6)

commit c8a09510204e7d0ed9e486f4dc871353f1820866
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Nov 23 12:35:47 2023 +0100

    imc: use literal module name for stats group
    
    - prevent conflicts with global exports
    
    (cherry picked from commit 407168804cc1806b857c2ce78399e02a81692d1e)

commit 583a403d58c3e0e0b64a354d2e5fe4a28192403f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Nov 23 12:35:47 2023 +0100

    http_async_client: use literal module name for stats group
    
    - prevent conflicts with global exports
    
    (cherry picked from commit 40dd9f4e0fbe54046b7786e3572b491103af03d1)

commit d343b6d99cdb9a23ec5bfa332a34245cdce4c3af
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Nov 23 12:35:47 2023 +0100

    dialog: use literal module name for stats group
    
    - prevent conflicts with global exports
    
    (cherry picked from commit d434270933f06b4de43cdf6d4b464bd264a3cb92)

commit 84b1543cf7b77bfffba0c3e6369b4cb06bf149b5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Nov 22 14:52:59 2023 +0100

    dialog: do not print module name in log messages
    
    - it is added automatically
    
    (cherry picked from commit e45c97d112c7c396ae0a11b7a431582a71361e5b)

commit 48fd5246c186524413d452032320378d9c87afc4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Nov 22 14:52:18 2023 +0100

    avp: do not print module name in log messages
    
    - it is added automatically
    
    (cherry picked from commit 463d5b34390e330a2b733deb673c1c77e5be9fcb)

commit c97e6b96821f0ffaf449643ed2229086b7bf0001
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Nov 22 14:26:23 2023 +0100

    avpops: do not print module name in log messages
    
    - it is added automatically
    
    (cherry picked from commit 89a95ce1abefd772c0f09054473b07bbfc5426bc)

commit 3ab5e87f2e162704a261c3a45eeb5c000b6ddb99
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Nov 22 14:20:13 2023 +0100

    textops: do not print module name in log messages
    
    - it is added automatically
    
    (cherry picked from commit ba1c0424732f1f2ab01bfd078ee272221a6b3e10)

commit 069876708076154387a599bf039edd83f5067974
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Nov 22 14:02:59 2023 +0100

    app_ruby: use module name prefix for exports structure
    
    (cherry picked from commit 65322a8ea66ed18fb2d089ade54702341e064944)

commit 8c5a7a8db1309515a1d2f167754a4ee046684569
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Nov 22 13:59:14 2023 +0100

    app_jsdt: use module name prefix for exports structure
    
    (cherry picked from commit a81e3c45dad338378fc8cf417bb0e9da1172a854)

commit 2442079e05b410cc9393fd15daf1f94169f80139
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Nov 21 15:43:11 2023 +0100

    app_lua: use module name prefix for exports structure
    
    (cherry picked from commit 35e191e1bea5463e766cb6f8f2ffb4862bd812a8)

commit ef9c5e79b6923401a686c31a15af390e376e63e3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Nov 21 15:39:21 2023 +0100

    app_lua: reformat exports structures
    
    (cherry picked from commit c6feb52c97bbd3fc33dc837d2b23e56c75f09583)

commit d38cc3c15698b554c177e77e05f7393ae6a1baa7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Nov 21 15:35:04 2023 +0100

    app_python3s: use module name prefix for exports structure
    
    (cherry picked from commit ebe77a2068c5073b436a1f8fefdfd689c9010816)

commit 340efb9e3951fb4d15ae32e834ac58470b2c06f1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Nov 21 15:32:57 2023 +0100

    app_python3s: reformat exports structures
    
    (cherry picked from commit 9fb9cbddee8974a1733b999807cc1943248753f7)

commit 986cadb088805f5126c61d55fc0b72cec6fd3d18
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Nov 21 15:29:49 2023 +0100

    app_python3: use module name prefix for exports structure
    
    (cherry picked from commit 114d6fe510d7c1876782054ed89e4017d39d5f69)

commit 4d04bafdba440b82a7da8424682b06db23721c8f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Nov 21 15:26:23 2023 +0100

    app_python3: reformat exports structures
    
    (cherry picked from commit 042bb9d10e12a256f9e4461031347e09b89fbe98)

commit d2f5603aff1bad106340b024d4a33f2be7791980
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Nov 21 15:14:39 2023 +0100

    core: resolve - variables initialisation
    
    (cherry picked from commit 1623f9ed1728455b72abf0a74f06bfd24365cefb)

commit 55584b4de5ac60a1385edf245fc7f5bb516c271e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Nov 21 13:57:52 2023 +0100

    core/mem: tlsf - cast to char* for pointer operations
    
    (cherry picked from commit d0a353342b559191aafc732174773e132554694a)

commit 8779039f655e6cdc27c35a0145985de00ecef81e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Nov 21 13:30:26 2023 +0100

    core: resolve - cast after pointer operations for RES_AR
    
    (cherry picked from commit 30c42aab767d777e3beb1493165458489957e92d)

commit 9b72b6dd4ffcf67f47f9d51c862e7a101c110c3f
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Nov 23 13:29:15 2023 +0100

    github: refresh alpine workflow [skip ci]

commit 7ea47e5fc72d08384223fb479f6bcc098e236990
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Nov 23 13:27:51 2023 +0100

    pkg/docker: set branch 5.7 and refresh [skip ci]

===================== 2023-11-17 Version 5.7.3 Released =====================

===================== Changes Since Version 5.7.2 ===========================


commit 1ec5093657959b4af1c9d4e0ea48879ed1105f4d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Nov 17 09:56:00 2023 +0100

    Makefile.defs: version set to 5.7.3

commit 2fa620918979548af5182114f8d44df67776b76f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Nov 17 09:52:09 2023 +0100

    pkg: deb specs updated for v5.7.3

commit ec6c7ac6c7758cf2ff2a554985204315bd72859a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Nov 17 09:47:30 2023 +0100

    pkg: version set to 5.7.3 for rpms and alpine specs

commit 5879b5d10d41f8a8a7b458873a4afaf7777fe27d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Nov 16 19:50:13 2023 +0100

    core: copy the value between quotes for #!defexps
    
    - GH #3631
    
    (cherry picked from commit c26e9877419ac53fb109a24aefb3fcd711fae1d7)

commit 3e9791570645dee833737077b3326ca6acde6aef
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Thu Nov 16 11:27:21 2023 -0500

    core: fix indentation on tcp_main.c
    
    (cherry picked from commit 243951bc487c5c67c81062445d4f4d7ee725684f)

commit 308506c3dacf9c22c63059166f5b674d0199eb44
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Thu Nov 16 09:29:00 2023 -0500

    core: fix compilation for older kernels
    
    (cherry picked from commit 34054fbd144102d414318249de217cedf8e5bd39)

commit c30e0a3a6dbe9b80b591ecb9caa53574ebc2988f
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Wed Nov 15 22:45:34 2023 -0500

    pua_dialoginfo: safety check for request pointer
    
    (cherry picked from commit 4e614ba6b7a5663bd88f353a3ce7a0976d8e878f)

commit 889f3f6a77e6404940a724b3289dac765c724117
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:39 2023 +0100

    xprint: docs - removed trailing spaces

commit 5bb0993df8fa8ef6c0f833c0e0f9648df4b3efaf
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:39 2023 +0100

    xmpp: docs - removed trailing spaces

commit 4aafb51b61b8256ab40592d13e8ef93d7b64d8cc
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:39 2023 +0100

    xmlops: docs - removed trailing spaces

commit 242be71548787ef0a6f309b3ec09565eb3bda12e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:39 2023 +0100

    xlog: docs - removed trailing spaces

commit 31d35cc7b89cbfef0873df1d3ff253dd651d0a45
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:39 2023 +0100

    xhttp_rpc: docs - removed trailing spaces

commit 15b8bc58f45a93de95bfd4b6014ec91edab94779
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:39 2023 +0100

    xhttp_prom: docs - removed trailing spaces

commit 4c81fba9194f47404c39cae7e141286ecd172f4e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:39 2023 +0100

    xhttp_pi: docs - removed trailing spaces

commit 945baa34210b1f1dac50d5fd928dc3e0da527f2e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:39 2023 +0100

    xhttp: docs - removed trailing spaces

commit 1cf19e69e961e0b262a725aaffaa87732d03a40d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:39 2023 +0100

    xcap_server: docs - removed trailing spaces

commit d0d1a53486c4999b94f9f0c28e290ea8e7b53312
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:39 2023 +0100

    xcap_client: docs - removed trailing spaces

commit 89f7c87630565dbb1205b4614f2a52060ac0660c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:39 2023 +0100

    websocket: docs - removed trailing spaces

commit 38f9665864f394c9c072e24fc8de357a18b7d659
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:39 2023 +0100

    uuid: docs - removed trailing spaces

commit 3e1e46956a7638a4ab4ca60ef7b86d8a0619b707
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:39 2023 +0100

    utils: docs - removed trailing spaces

commit 3ee11f7b166bdcf587335a99c64827a3b9f6e273
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:39 2023 +0100

    usrloc: docs - removed trailing spaces

commit 726a1fc8745f48698fb755b6502f54aed610989b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:39 2023 +0100

    userblocklist: docs - removed trailing spaces

commit 5e59c9a7f6f6323bff14877ddb43dc69e7eaa15e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:38 2023 +0100

    uri_db: docs - removed trailing spaces

commit 8a27cfaf0f0f7cf8c1e2b85f679e25572b9fe36a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:38 2023 +0100

    uid_uri_db: docs - removed trailing spaces

commit b202f06b513c0f82843b7a0ff5a4473427b5266d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:38 2023 +0100

    uid_gflags: docs - removed trailing spaces

commit a7b8ccf85e87229f7ff61224f5e62352fc9d6082
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:38 2023 +0100

    uid_domain: docs - removed trailing spaces

commit 07bfc5fb59248123bb337b510308281a5a815e62
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:38 2023 +0100

    uid_avp_db: docs - removed trailing spaces

commit 274687596804b2d4240e1a9c04078657bf955393
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:38 2023 +0100

    uid_auth_db: docs - removed trailing spaces

commit 54204321dabf2efb8e06a28ea82116cff1081406
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:38 2023 +0100

    uac_redirect: docs - removed trailing spaces

commit 1671f4cb9895573dc62d2522749575275aa2a7d1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:38 2023 +0100

    uac: docs - removed trailing spaces

commit 90ae37bbcbd2ee45cde223ddf037140e72cf169b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:38 2023 +0100

    tsilo: docs - removed trailing spaces

commit 2763482be980b88f914e6d2aca68e28b2dabc7fb
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:38 2023 +0100

    topos: docs - removed trailing spaces

commit 2dbc0974ace0943ee3d75c9ab1b3987079d8b8d3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:38 2023 +0100

    tmx: docs - removed trailing spaces

commit ac69b36d285b1fec67487bca4d81444e4d9e479a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:38 2023 +0100

    tmrec: docs - removed trailing spaces

commit 4582bc9bc158a5bdcaee9c4cb105840582374e22
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:38 2023 +0100

    tm: docs - removed trailing spaces

commit 4b5906ff2f7341a27d9202b06f8cd135b18e67f4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:38 2023 +0100

    tls: docs - removed trailing spaces

commit de47f18226fee624a5d97a96604dd90a7c373dad
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:38 2023 +0100

    textopsx: docs - removed trailing spaces

commit 550c061230e11c6c7166b498941845a817486b32
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:38 2023 +0100

    textops: docs - removed trailing spaces

commit 860393ea0c6a97b436ab6a1977b06d580c9ded10
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:38 2023 +0100

    tcpops: docs - removed trailing spaces

commit 8c680916944bf103cafd9fe6e206ea595b7775a0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:38 2023 +0100

    stun: docs - removed trailing spaces

commit 8386cfa7516aa50109efd33ae2256e800e498cf8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:38 2023 +0100

    stirshaken: docs - removed trailing spaces

commit e06231bddfb9eaebcecb6b951964712c8cd45497
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:38 2023 +0100

    statsd: docs - removed trailing spaces

commit e981047a8699cafc25a4bee003bf6d5c4135f095
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:38 2023 +0100

    statistics: docs - removed trailing spaces

commit f7e0a307eec9f31a116ba8c4ac0aae5b71a1d82b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:38 2023 +0100

    sst: docs - removed trailing spaces

commit af5c00e3b26b633b939d4281b7daa6b14cc31781
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:38 2023 +0100

    sqlops: docs - removed trailing spaces

commit 1e76578632cdfcda3c78cbd65bc4ccaa29f95bef
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:38 2023 +0100

    snmpstats: docs - removed trailing spaces

commit ae4c7efba2772825f28edb8c164670e86d4d3c3c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:38 2023 +0100

    smsops: docs - removed trailing spaces

commit b62dd7d9300623b2804aa0a250d70079da16f845
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:37 2023 +0100

    sms: docs - removed trailing spaces

commit f41908997292f689b964a76afff9ce2afc65316c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:37 2023 +0100

    sl: docs - removed trailing spaces

commit 917c51a4a065a419cc7013d5a33bc21af41c980d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:37 2023 +0100

    siputils: docs - removed trailing spaces

commit d99ffdec924c8187ec24d6af65063ae8841f9afd
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:37 2023 +0100

    siptrace: docs - removed trailing spaces

commit 83c738ded192aa4df574c245343e00f47d610199
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:37 2023 +0100

    sipt: docs - removed trailing spaces

commit a3d918751ded0e4484e583ab8280a96408fb8b39
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:37 2023 +0100

    sipcapture: docs - removed trailing spaces

commit 8bf3d8e293349389cfc3dc8b69e8d0cf0dc62f09
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:37 2023 +0100

    secfilter: docs - removed trailing spaces

commit 047cdc8aa57e78e2d5be6db86a57736083656dc2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:37 2023 +0100

    seas: docs - removed trailing spaces

commit dad67d95180cd2087bf4e9ee4f1c09c6e7a24d5e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:37 2023 +0100

    sdpops: docs - removed trailing spaces

commit 4f2a73691197fd25cd6f7e12a5db9ef221dc8992
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:37 2023 +0100

    sctp: docs - removed trailing spaces

commit 9ac5f13982c6aa94b65d4fc70c106f398fba80b0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:37 2023 +0100

    sanity: docs - removed trailing spaces

commit 2317e16ef7b3559ec31bb2f54944a7a4d70bb595
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:37 2023 +0100

    rtpproxy: docs - removed trailing spaces

commit 5d50c2ee15f263b77c7baa767e5d3f8c80459052
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:37 2023 +0100

    rtpengine: docs - removed trailing spaces

commit fb4833a148ee20e5e5f30f1ad957809dd028438a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:37 2023 +0100

    rtp_media_server: docs - removed trailing spaces

commit f3b8e68b4867c50f51822f504d4140d55afe8124
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:37 2023 +0100

    rtjson: docs - removed trailing spaces

commit 1aecd6ccba1d562f9d5385835de43849bcace45a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:37 2023 +0100

    rtimer: docs - removed trailing spaces

commit f678d2404c9b7238a8ba439e1a7067ca28b63424
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:37 2023 +0100

    rr: docs - removed trailing spaces

commit 515b128c26e7fc7905a2d8ace7aa7f0e0f95c42e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:37 2023 +0100

    rls: docs - removed trailing spaces

commit ec581e1d454fc4c8021dc623f9c490c7d308e773
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:37 2023 +0100

    registrar: docs - removed trailing spaces

commit 6186a9aab78f5d6f1ee186b4c938ab871570635e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:37 2023 +0100

    regex: docs - removed trailing spaces

commit daa75cffbcb3e2d39b534601f27aaf964c55d323
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:37 2023 +0100

    ratelimit: docs - removed trailing spaces

commit a47333b3df586f10543b35a14a5308ad7a36d7e2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:37 2023 +0100

    rabbitmq: docs - removed trailing spaces

commit f3d9663bb305362a87d2c5d4f8f20aa9f6e007c1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:37 2023 +0100

    qos: docs - removed trailing spaces

commit 2af082e8a0d155c6619e1337ccc4783ebc0e3e9c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:37 2023 +0100

    pv_headers: docs - removed trailing spaces

commit 97615d742c1b6ac1db4ac3ca209d306bb7852dac
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:37 2023 +0100

    pv: docs - removed trailing spaces

commit 9bf317ed20343a7df93535d3ddda221063c06bf3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:37 2023 +0100

    pua_xmpp: docs - removed trailing spaces

commit 8cb714ee285ae625e8f42d4dc4d5f933257e3f1c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:36 2023 +0100

    pua_usrloc: docs - removed trailing spaces

commit e2dcc7585786421e6ea10b9bdc03e57ee5c5bee5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:36 2023 +0100

    pua_reginfo: docs - removed trailing spaces

commit 2137a2389d7f5347b62cc178059f30b42e789a75
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:36 2023 +0100

    pua_json: docs - removed trailing spaces

commit e7169ec345d5421c032ed68c09e9521c1d22bbd8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:36 2023 +0100

    pua_dialoginfo: docs - removed trailing spaces

commit 8bacf4eb20aee42b39b8ea0998329ccbb8d4510b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:36 2023 +0100

    pua_bla: docs - removed trailing spaces

commit b54cb3efed256dbc67741a4f2529b06754949021
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:36 2023 +0100

    pua: docs - removed trailing spaces

commit a8303346d26f48e468fcb9a8da5ab63e09d7afc0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:36 2023 +0100

    print_lib: docs - removed trailing spaces

commit e71e38b5c6fcac4d8009a0c5e0d42c8d3dbd5314
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:36 2023 +0100

    print: docs - removed trailing spaces

commit dfb6f586d9db2119f180abc5d9614f2efd65d3aa
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:36 2023 +0100

    presence_xml: docs - removed trailing spaces

commit 57c97b77492ee7d6336161805cbb8cf3342061c1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:36 2023 +0100

    presence_reginfo: docs - removed trailing spaces

commit c25f46716765fd7549977c4ffb3664a12a320f9e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:36 2023 +0100

    presence_profile: docs - removed trailing spaces

commit 2a6734a65ecf409ffa5dda99c798c49792c72403
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:36 2023 +0100

    presence_mwi: docs - removed trailing spaces

commit 537e83019bc317a3ac5c511592856d5ac590d34b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:36 2023 +0100

    presence_dialoginfo: docs - removed trailing spaces

commit 90c2fea8452bea09496b7ebe28ad108c4a493638
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:36 2023 +0100

    presence_conference: docs - removed trailing spaces

commit c021d38bf3ca96a3af19822239d09fcd0ccfe1df
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:36 2023 +0100

    presence: docs - removed trailing spaces

commit 93a38d0b6ea5ad91cfdd737b90c988a1171fd3be
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:36 2023 +0100

    prefix_route: docs - removed trailing spaces

commit a4016235b94ae9389fba44ce192566b67f487605
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:36 2023 +0100

    pipelimit: docs - removed trailing spaces

commit 80438595eeda0d3d762343598f09802d76217696
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:36 2023 +0100

    pike: docs - removed trailing spaces

commit 9cbef5531a25db83aa1059c8e2607bff7aeb62b1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:36 2023 +0100

    permissions: docs - removed trailing spaces

commit 9efc9559f56044a21673d37ce7e10bc1243e5c4e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:36 2023 +0100

    peering: docs - removed trailing spaces

commit 03583a07d4ab34c9f4a79ac1b1afd5efb58a98cb
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:36 2023 +0100

    pdt: docs - removed trailing spaces

commit 133db4ca657eb4082618b079de15c62cfc9f13c7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:36 2023 +0100

    pdb: docs - removed trailing spaces

commit 6d0983fcc57bd3b1199ec5a34160d40dcd6caba0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:36 2023 +0100

    path: docs - removed trailing spaces

commit d76d9090665cc10ee166ab38bb8fddb7e8ccbc82
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:36 2023 +0100

    p_usrloc: docs - removed trailing spaces

commit d8f97b6d72e457eb4fe324dba7b78e5eb76ed678
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:36 2023 +0100

    outbound: docs - removed trailing spaces

commit 2a33799dbb66c3821c20f7c0b977989e3b83dcd0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:36 2023 +0100

    osp: docs - removed trailing spaces

commit f3b8fa2455d0ff81e540e81c9f541f0df066fb02
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:35 2023 +0100

    nsq: docs - removed trailing spaces

commit 8653df168c227371320bdb801acec7a6a5be46d7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:35 2023 +0100

    nosip: docs - removed trailing spaces

commit efcbe8dc84a511a78db4db4ab52e1cfc5198cc2c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:35 2023 +0100

    ndb_redis: docs - removed trailing spaces

commit 6f061299f483fe0ec1ed76a79940ef40f272f33f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:35 2023 +0100

    ndb_mongodb: docs - removed trailing spaces

commit d6ff28c2b9ef129ed9bc629f1d22fe1cc274b05b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:35 2023 +0100

    ndb_cassandra: docs - removed trailing spaces

commit f5c68f220b5ddbf0603971a63a2f58a1c380e446
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:35 2023 +0100

    nathelper: docs - removed trailing spaces

commit 450be5a6b89b8c18880bb1765d097400347dc44a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:35 2023 +0100

    nat_traversal: docs - removed trailing spaces

commit 03e7a4646c72d792d3143e325779d558996badbc
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:35 2023 +0100

    mtree: docs - removed trailing spaces

commit 0dd9a4fc9626dce42a94d37b817145496dd03cf2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:35 2023 +0100

    msrp: docs - removed trailing spaces

commit 8f879a5c352c2fc55a95e379e4552d8d5821b2f6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:35 2023 +0100

    msilo: docs - removed trailing spaces

commit c8ae635628224f280df591243bd428da3c3a0a3f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:35 2023 +0100

    mqueue: docs - removed trailing spaces

commit c129e9321466061d076fe7e5b25d3668a0664d3d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:35 2023 +0100

    mqtt: docs - removed trailing spaces

commit 4f00043caae60a5084e5413838352bdceffbefdd
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:35 2023 +0100

    misctest: docs - removed trailing spaces

commit f986d6bbfe0f92246d4485f443564358eba39485
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:35 2023 +0100

    misc_radius: docs - removed trailing spaces

commit cf0595e557583db983e81dbb3d4a5345e213f3e6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:35 2023 +0100

    memcached: docs - removed trailing spaces

commit 65ac04c8e55d02f301298ec5ad573b500827fea0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:35 2023 +0100

    maxfwd: docs - removed trailing spaces

commit cfd9ddc7689fbebb8fd07b02197b9506429593b9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:35 2023 +0100

    matrix: docs - removed trailing spaces

commit 5a71325860cdac11bd314d3871fd818f1d27fc03
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:35 2023 +0100

    mangler: docs - removed trailing spaces

commit 92254b1f74d3691221673a3ae6b58077cd8f8147
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:35 2023 +0100

    lrkproxy: docs - removed trailing spaces

commit 03db8597482da2d646e0aefd15daec9d744dca14
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:35 2023 +0100

    lost: docs - removed trailing spaces

commit 7b50ffcc5ec129e8560ad427cd6bfca05b3b1a43
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:35 2023 +0100

    log_systemd: docs - removed trailing spaces

commit fda00b8c1c754e3b73ad8cda7ca3e8d9f6b136a2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:35 2023 +0100

    log_custom: docs - removed trailing spaces

commit da034fe3d65d38633bb6b45cb4833cb8ea61b80a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:35 2023 +0100

    ldap: docs - removed trailing spaces

commit 6ffbb166238a329a06ab935831e88598cb770089
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:35 2023 +0100

    lcr: docs - removed trailing spaces

commit 9d63b3778f35962539821351c704ecc425d825e5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:35 2023 +0100

    kex: docs - removed trailing spaces

commit 2ed4817474c7dee216d79273079bc08e7d9c49ea
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:35 2023 +0100

    keepalive: docs - removed trailing spaces

commit 49e06be4e9aacdd770f519944bdf28d916371f7a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:34 2023 +0100

    kazoo: docs - removed trailing spaces

commit 67d2ee655a8653af4bdfac4daffe649cd1babe50
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:34 2023 +0100

    kafka: docs - removed trailing spaces

commit 77cb0a486c1ad77708cb0ff9a4e0a553c9bf0e8c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:34 2023 +0100

    jsonrpcc: docs - removed trailing spaces

commit d5d5ec74b55cdabb3c673663742cd7f6185330de
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:34 2023 +0100

    json: docs - removed trailing spaces

commit 6dd9324fc660da907e9de1b612413bdb56ca341f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:34 2023 +0100

    janssonrpcc: docs - removed trailing spaces

commit 1e8232df5ed6719105cc1f540fdf5f96e7ad30b1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:34 2023 +0100

    jansson: docs - removed trailing spaces

commit b17fa4f25669a73ebdc6b60c51bb9427b5f868ab
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:34 2023 +0100

    ipops: docs - removed trailing spaces

commit dd8472303e5eda82e92e20ec84921436f60a2bdd
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:34 2023 +0100

    ims_usrloc_scscf: docs - removed trailing spaces

commit 7b3a7cbf663c50a6abe53af8465963cffe664e5b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:34 2023 +0100

    ims_usrloc_pcscf: docs - removed trailing spaces

commit 14e29adfea7e30d015ddebe0de199f195a4516f5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:34 2023 +0100

    ims_registrar_scscf: docs - removed trailing spaces

commit 016163471649c9fe87b8046c9e16981ac9c5a3e8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:34 2023 +0100

    ims_registrar_pcscf: docs - removed trailing spaces

commit 976df7b5c5ce31900fe5f305f66c02d3511632bb
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:34 2023 +0100

    ims_qos: docs - removed trailing spaces

commit 51c6db1fec2f4d49914ba21572f0a5ac6e3effb1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:34 2023 +0100

    ims_ocs: docs - removed trailing spaces

commit cd451aba7f2f62c2cc51912a7ca350dd6c0f619b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:34 2023 +0100

    ims_isc: docs - removed trailing spaces

commit 00c3b0f5f9eb8cc1cd9dfc7c0c73614448a1b854
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:34 2023 +0100

    ims_icscf: docs - removed trailing spaces

commit 7edce07d04df8b07637f48380dd18cb1f525d951
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:34 2023 +0100

    ims_diameter_server: docs - removed trailing spaces

commit a2ad493749fcecb354dcb29a8f580d1c09015e6c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:34 2023 +0100

    ims_charging: docs - removed trailing spaces

commit 9d2ebcd15d1acab1b0ca5734b78676342b3078ab
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:34 2023 +0100

    ims_auth: docs - removed trailing spaces

commit 0dbcdbbc1fad7cd8e60f3eaa9c15a568d0a4c2df
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:34 2023 +0100

    imc: docs - removed trailing spaces

commit 165e11c43e1e4df9be4696941024fef794b981ae
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:34 2023 +0100

    http_async_client: docs - removed trailing spaces

commit db128b173cb6fa1b432eccd39c8078c366621477
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:34 2023 +0100

    htable: docs - removed trailing spaces

commit 286cc1d1b31f5a0889fe61e143569ef6d4168b6d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:34 2023 +0100

    h350: docs - removed trailing spaces

commit 78e60150ae5afe67e48f8a3a4b72382678e84ef2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:34 2023 +0100

    gzcompress: docs - removed trailing spaces

commit 859ddc705665ecf7bf3033af0e4a1f3f44f58355
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:34 2023 +0100

    group: docs - removed trailing spaces

commit 25556085883ec46e11bec9950c78917d5fc9a35c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:34 2023 +0100

    geoip2: docs - removed trailing spaces

commit baaae4ac31c00976d679d50d55fba3312e780c06
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:33 2023 +0100

    geoip: docs - removed trailing spaces

commit b60be507732d43d4292e631cc01f5c429f14d794
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:33 2023 +0100

    exec: docs - removed trailing spaces

commit 23c8ab91e15599efc3995cb4eea36bb1237a353b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:33 2023 +0100

    evapi: docs - removed trailing spaces

commit 9eeed047839ffd66ffbd4791bb8db270996a1205
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:33 2023 +0100

    erlang: docs - removed trailing spaces

commit 7d146f8d9c0fb6c842addbd6c46997ef1089d6fb
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:33 2023 +0100

    enum: docs - removed trailing spaces

commit 64dad2edb541fcd8322a8a75e9a1aa0a0e1e359f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:33 2023 +0100

    domainpolicy: docs - removed trailing spaces

commit e3416fbc3b8ec0b000bcca8fde4ddfd1925b5741
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:33 2023 +0100

    domain: docs - removed trailing spaces

commit 2e1b1b2ef01c73af1632633378edab3d3d7e1bae
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:33 2023 +0100

    dnssec: docs - removed trailing spaces

commit a289bfb0b37d28ca477f80920b35744e0bda4563
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:33 2023 +0100

    dmq_usrloc: docs - removed trailing spaces

commit db5ea1d538011b1ae6518fbe4628b94c96a51b4a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:33 2023 +0100

    dmq: docs - removed trailing spaces

commit 456fb769aa914d3cc91b404600362afa25dac35a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:33 2023 +0100

    diversion: docs - removed trailing spaces

commit 42b6346d31d1415dc80e8dfcfe0123db7b30d49a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:33 2023 +0100

    dispatcher: docs - removed trailing spaces

commit 081362a01b63b81e7f0eaff1024761d59ca9634b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:33 2023 +0100

    dialplan: docs - removed trailing spaces

commit da4f07203b9c891c1e2c7a02c86dc9da23d7c526
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:33 2023 +0100

    dialog: docs - removed trailing spaces

commit ecae4beaeb5ceb6ecefb23fea8d8b1a7fbc776c8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:33 2023 +0100

    debugger: docs - removed trailing spaces

commit ec99b316295cf0c619fcd1cd3fbc58469974f00e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:33 2023 +0100

    db_unixodbc: docs - removed trailing spaces

commit a70122bf9c4b4e8380eeb5942f5b7485baf7ea71
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:33 2023 +0100

    db_text: docs - removed trailing spaces

commit e88720df7af1a0698bd46e9a3e5a62271d890b58
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:33 2023 +0100

    db_postgres: docs - removed trailing spaces

commit 903dcca9fd7d8ddaa72f3bb4b8c3ea41a92d74bb
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:33 2023 +0100

    db_perlvdb: docs - removed trailing spaces

commit b8f3cc55ed31f98aa374196eb1754dbe83f71944
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:33 2023 +0100

    db_oracle: docs - removed trailing spaces

commit 21326bdb882efff9c5eb211bae49c3d9d37412c0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:33 2023 +0100

    db_mysql: docs - removed trailing spaces

commit b0819734f1d929259e73610a9e8b09c6333f31d1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:33 2023 +0100

    db_mongodb: docs - removed trailing spaces

commit 866ba37b622df10672b9938f899956a311275019
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:33 2023 +0100

    db_flatstore: docs - removed trailing spaces

commit 77f77d852b173373b2dfef1d84c97e32593698bd
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:33 2023 +0100

    db_cluster: docs - removed trailing spaces

commit 630fe40dfef237316c5d0d0c0b3b7a7a18ad1620
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:33 2023 +0100

    db_cassandra: docs - removed trailing spaces

commit c32f87d137921c7df6f420248b37f2f9ef1535de
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:33 2023 +0100

    db_berkeley: docs - removed trailing spaces

commit d2ec4962ee1f1abe365a524605d075e063410cc9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:32 2023 +0100

    db2_ops: docs - removed trailing spaces

commit 7a31f56bb1b266f7e158437aa1473c69060f9990
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:32 2023 +0100

    db2_ldap: docs - removed trailing spaces

commit ce7b1be8c6e2e20746f4049cc72f7baddc0eba20
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:32 2023 +0100

    ctl: docs - removed trailing spaces

commit 76236ada3622fd74a00954b9cf11419241f6c81e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:32 2023 +0100

    crypto: docs - removed trailing spaces

commit 4a9d850aa6704f6742a3cae43dc8aae384ab2f5f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:32 2023 +0100

    cplc: docs - removed trailing spaces

commit 015b4b5ed32e65600ed18301be8ab006064b72cf
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:32 2023 +0100

    counters: docs - removed trailing spaces

commit 7ca0cd30c74b6a85c7416df4c4ea7bafc422b338
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:32 2023 +0100

    corex: docs - removed trailing spaces

commit 391e8173a3422eef677fab850f05858dad67ecb8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:32 2023 +0100

    cnxcc: docs - removed trailing spaces

commit dba983323474a7940572e1914d0c584777662a89
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:32 2023 +0100

    cfgutils: docs - removed trailing spaces

commit 47f8b348a24b37bdb8c384f03b91bf990ddd1444
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:32 2023 +0100

    cfgt: docs - removed trailing spaces

commit ca6c8bf6767d04f1725172044e8b699a2f04f8aa
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:32 2023 +0100

    cfg_db: docs - removed trailing spaces

commit c3a9147bdaa05618f7f90cca2bb9abe01e9074ad
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:32 2023 +0100

    cdp_avp: docs - removed trailing spaces

commit b0b40122f22db100411a85379fd73061bd0a7f14
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:32 2023 +0100

    cdp: docs - removed trailing spaces

commit 3a2de012e1a45bde2c3c6873ae09402f83241f9b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:32 2023 +0100

    carrierroute: docs - removed trailing spaces

commit 3d864d6bce8a312f19338946685314c60a16c662
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:32 2023 +0100

    call_obj: docs - removed trailing spaces

commit b90ad7cd9a51ef3644ce8d85a56225b1aacb263b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:32 2023 +0100

    call_control: docs - removed trailing spaces

commit 4a892d7df5c0bb698c7726d8dcc7973e42c8c8fc
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:32 2023 +0100

    blst: docs - removed trailing spaces

commit b4c1d5108a9509a45a78681309c608e611efcd1a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:32 2023 +0100

    benchmark: docs - removed trailing spaces

commit 2636e742077b9dbd6fc20900e3742d80993f6535
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:32 2023 +0100

    avpops: docs - removed trailing spaces

commit 6acc4e2bd4019699c129422030bc5721869210ac
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:32 2023 +0100

    avp: docs - removed trailing spaces

commit 4876b743a30475619c777ac2cd11e5248f985796
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:32 2023 +0100

    auth_xkeys: docs - removed trailing spaces

commit df22d87a09b9ca793b0a9f999e48a6f3d1ccbfe1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:32 2023 +0100

    auth_radius: docs - removed trailing spaces

commit 5045d153af73f928a743fcd5e8dce28cbcc56aaf
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:32 2023 +0100

    auth_identity: docs - removed trailing spaces

commit 8c0cc460416a87632173f017d361f46cbafa8108
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:32 2023 +0100

    auth_diameter: docs - removed trailing spaces

commit 85288f9dd4f0a452ffff9d58fbb36817954aa45a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:32 2023 +0100

    auth: docs - removed trailing spaces

commit df20976307dd501826c1409879dcdee82665ea2a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:31 2023 +0100

    app_python3: docs - removed trailing spaces

commit 174f5babf470709523b078cbade62d2d7e96ad61
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:31 2023 +0100

    app_python: docs - removed trailing spaces

commit a86448f7c99f159c383d4fa59b0bc6aab70df16e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:31 2023 +0100

    app_perl: docs - removed trailing spaces

commit 03b359a3960ed637a8a4c866251fbfe88acd6bf6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:31 2023 +0100

    app_mono: docs - removed trailing spaces

commit 192c9f339800a4c5a46d6147e4fbe78b4dae55bb
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:31 2023 +0100

    app_lua_sr: docs - removed trailing spaces

commit ac993f3eb9fca4204111c17e1f8b4ea2d04a77e9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:31 2023 +0100

    app_lua: docs - removed trailing spaces

commit 6f14426233533bdd96bf941c235a67a86d615eab
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:31 2023 +0100

    app_java: docs - removed trailing spaces

commit dfbb87ce8eba3dd02516d40c39a083dc70cb0478
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:31 2023 +0100

    alias_db: docs - removed trailing spaces

commit 124731a1b1aca63d86996412078e01944ad7a3d4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:31 2023 +0100

    acc_json: docs - removed trailing spaces

commit f61e9f9a372011a1ad5a897b363ffee09b67fdfb
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:36:31 2023 +0100

    acc: docs - removed trailing spaces

commit d63514d7919b90435aa6973012cf5abe2415af4e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:33:44 2023 +0100

    test/mod_httpapitest: removed trailing spaces

commit b0948b515da27b6900eb1cadf336662d7921a160
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:31:07 2023 +0100

    test/misc/code: removed trailing spaces

commit 67f20986481de20c038c3a857b11687db70b8ec5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:30:31 2023 +0100

    pdbt: removed trailing spaces

commit f9c78be0e014ae5c5416c06883f4d33cabee2d4f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:30:31 2023 +0100

    db_berkeley: removed trailing spaces

commit 6ab8de8f49cdd93c9fa4e7c60e2b9cee1bd5fe91
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:25:59 2023 +0100

    xcap:  removed trailing spaces

commit c30d57ac5b7213bcf09e11ee12518243469dd802
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:25:59 2023 +0100

    srdb2:  removed trailing spaces

commit e710b67b0a146ca1128efcc3ce1a6c6b57cbe9c0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:25:59 2023 +0100

    srdb1:  removed trailing spaces

commit 74b6d96c50b9355f6234d34f72c39d04458e52c5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:25:59 2023 +0100

    print:  removed trailing spaces

commit ccba05208609946d2de8736d16f0939df81d77db
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:25:59 2023 +0100

    presence:  removed trailing spaces

commit e3a8d1bd6f36a94a52626705c4c58c9d00dcbdca
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:25:59 2023 +0100

    ims:  removed trailing spaces

commit 8e08fa2c9d6a6d46b219f9320c245d6a17fda76e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:25:59 2023 +0100

    cds:  removed trailing spaces

commit e8989c3102b068f53c85a26e6b9ceae278a51aca
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:25:59 2023 +0100

    binrpc:  removed trailing spaces

commit 82ae416bd8a870698d9ff6b1d9cb32ba38e2ca01
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:23:29 2023 +0100

    core: removed trailing spaces

commit bf90793c358b08c0a6e154c72f49a373847436a2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:24 2023 +0100

    xmpp:  removed trailing spaces

commit a1f35e58c117d56aa7ac667d887f4b2784500663
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:24 2023 +0100

    xlog:  removed trailing spaces

commit bff73792918dd8bd46ec974b36cf396d4456962e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:24 2023 +0100

    xhttp_pi:  removed trailing spaces

commit 5d9801f165e3028d7853c8249a3f9ff255df03df
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:24 2023 +0100

    xcap_server:  removed trailing spaces

commit f74093941b37aa272e792433d88ef6c2eec5fab9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:24 2023 +0100

    xcap_client:  removed trailing spaces

commit 248f459f95866035cb7a84be5c85c4f88da9858c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:24 2023 +0100

    utils:  removed trailing spaces

commit 3e4e843d3e488c7f3894a0f1f29ff68d61935ab6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:24 2023 +0100

    usrloc:  removed trailing spaces

commit 658a426bff5f7f5f88c0c1c47abdc90ed0790cb6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:24 2023 +0100

    userblocklist:  removed trailing spaces

commit 480882d9d26df0519e2aab539323d7e8a76ef873
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:24 2023 +0100

    uri_db:  removed trailing spaces

commit 822dd527b2d5aa28f42aa262374fc2b3a19e9059
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:24 2023 +0100

    uid_avp_db:  removed trailing spaces

commit 90698a42a4f75791b09dba213473d411236917f7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:24 2023 +0100

    uac_redirect:  removed trailing spaces

commit be9f359c3ec90a8cd38ae6efba8fb54520b3c147
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:23 2023 +0100

    uac:  removed trailing spaces

commit badbe8f584a5ab49f3fe74791b76d04ddc858ef2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:23 2023 +0100

    tm:  removed trailing spaces

commit 1bca2bb9893e8ad9bb86b82eb0e1b553d02c6a42
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:23 2023 +0100

    textops:  removed trailing spaces

commit 895b667f0eefdf036e6ed4abe954df077e535091
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:23 2023 +0100

    stun:  removed trailing spaces

commit 1390f3a5e341f99e547bbae23435d28d75b3381f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:23 2023 +0100

    statistics:  removed trailing spaces

commit 234fc6152198870daa80e6f6fa759441bc0a4ef8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:23 2023 +0100

    snmpstats:  removed trailing spaces

commit 823fc718274052e4fc5f44fe2e36f23f05297000
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:23 2023 +0100

    sms:  removed trailing spaces

commit 6c2fdb5a92dd4ac3866ebcb6eb3735e590e8e8e0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:23 2023 +0100

    sl:  removed trailing spaces

commit e96c95c29d0bf910fb381553402dc6473ad029e0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:23 2023 +0100

    sipt:  removed trailing spaces

commit 19d5dcce0a488a9a3ca14d66578566a19c6f250f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:23 2023 +0100

    sipjson:  removed trailing spaces

commit 50910357ebd4db4a7748e8ff332616e783c86263
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:23 2023 +0100

    sipcapture:  removed trailing spaces

commit eca932f474b90e581eb249870e705cef66227182
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:23 2023 +0100

    secfilter:  removed trailing spaces

commit 5b6810bf005eccd45bcb5a5681a63a8a875a9171
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:23 2023 +0100

    seas:  removed trailing spaces

commit 81680ccd9772dc2cb35e9a7b6cd1a404d01a3436
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:23 2023 +0100

    sctp:  removed trailing spaces

commit 4372616afb2d94b6621252e91291af93759b9f77
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:23 2023 +0100

    sca:  removed trailing spaces

commit 6eca9bfe242bb3fbf93f43e7be2d305d431b6327
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:23 2023 +0100

    rtpengine:  removed trailing spaces

commit 2774836e5324c5163ee4c08ee9f967efe1376599
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:23 2023 +0100

    rtp_media_server:  removed trailing spaces

commit 77028084945bc0a8f74b8d91eb4425e215695f52
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:23 2023 +0100

    rr:  removed trailing spaces

commit e4991331611f903213cd4151a4528de999c7b8be
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:23 2023 +0100

    rls:  removed trailing spaces

commit 91923f80924fb0787b3fa6bc764f22c6b5167116
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:23 2023 +0100

    ratelimit:  removed trailing spaces

commit bde570b3519766a3f4051301042d3b2f20fbb9f3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:23 2023 +0100

    qos:  removed trailing spaces

commit 1d07491dc82154ff9d29a544868f96b55a297f25
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:23 2023 +0100

    pv:  removed trailing spaces

commit 205023f9f12b2e5f8fb9ac3ba915040f5352ac95
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:23 2023 +0100

    pua_xmpp:  removed trailing spaces

commit 3c4853e70f52973934b111921c9d17752974e5a2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:23 2023 +0100

    pua:  removed trailing spaces

commit 9d0a2efb4aa588ffea385a9fd8b0309a75d93d1e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:23 2023 +0100

    presence:  removed trailing spaces

commit 486502bef65a768204f07f00c9a5b7887e167a61
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:22 2023 +0100

    pipelimit:  removed trailing spaces

commit 2cff99ee3e97e4574a03703c073d8cc8933bc18c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:22 2023 +0100

    peering:  removed trailing spaces

commit d99c35042da398f6bfab5de1195fcef686626244
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:22 2023 +0100

    pdt:  removed trailing spaces

commit cb56620c455a5437bc6c8ceaa64b8660abb7dda7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:22 2023 +0100

    pdb:  removed trailing spaces

commit e863e819d78803621781e40e9b95166b8ca0c5c3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:22 2023 +0100

    p_usrloc:  removed trailing spaces

commit 9496877a55529640d5cfff7dd6acd0bd59ac0c5c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:22 2023 +0100

    osp:  removed trailing spaces

commit 60b53e5507a07e7f53f594c2fcedea3bd06f9041
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:22 2023 +0100

    ndb_mongodb:  removed trailing spaces

commit fd86836d96fdb60c8caca140e485a8b6a0fd578e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:22 2023 +0100

    msilo:  removed trailing spaces

commit 9c258d49ef0e18df62e19b24df3c590653089c74
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:22 2023 +0100

    mqtt:  removed trailing spaces

commit edec677972f56ceb72e779c70cb480692f0819fb
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:22 2023 +0100

    misc_radius:  removed trailing spaces

commit 2545b464970565c79d97e9ceb43c24b2d2e2192c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:22 2023 +0100

    mediaproxy:  removed trailing spaces

commit 5f4c83d373664f11dc6d22fc0a7b8feb946f537e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:22 2023 +0100

    mangler:  removed trailing spaces

commit 424f4ef87b096b407dbd8341734eca41b8380bad
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:22 2023 +0100

    lost:  removed trailing spaces

commit 4a49c517bf704c9f352440b6c02aac0f015c97a1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:22 2023 +0100

    ldap:  removed trailing spaces

commit 136e9714c66e7c2f9824b768f05f6afeeba9cd9c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:22 2023 +0100

    lcr:  removed trailing spaces

commit 9ecc0a5a91934d21c5d8ef1db654198bed386f2c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:22 2023 +0100

    kazoo:  removed trailing spaces

commit cd77d7063e19f64da38fa7904abb1bb7b3f81e3e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:22 2023 +0100

    kafka:  removed trailing spaces

commit 8b8c00e9102ad4c58ee7f27040a953ff7ba2396a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:22 2023 +0100

    ipops:  removed trailing spaces

commit dd459bcb71f67c1703c559d04d7e4c6991635a77
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:22 2023 +0100

    ims_usrloc_scscf:  removed trailing spaces

commit 07e0fddceafd33aefc58b679dbde68c62fdfd934
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:22 2023 +0100

    ims_usrloc_pcscf:  removed trailing spaces

commit 6fb92096e933b5683ab06a12836a93aa88d9ab42
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:22 2023 +0100

    ims_registrar_scscf:  removed trailing spaces

commit 8b3c6d12e514fdac2c9d6219e9ab2a8ca3e47af8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:22 2023 +0100

    ims_registrar_pcscf:  removed trailing spaces

commit fa88db98cca078a4587bcba101343331bff4d590
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:22 2023 +0100

    ims_qos:  removed trailing spaces

commit 714582b6771656534de9337615e1ff7a73a5ab9a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:22 2023 +0100

    ims_ocs:  removed trailing spaces

commit 26afc34239fa7c2009f94f251118d47a6290f378
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:21 2023 +0100

    ims_isc:  removed trailing spaces

commit 2047a0ce41205770c3baee61dc03fb57bd3f4862
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:21 2023 +0100

    ims_icscf:  removed trailing spaces

commit 9e30f63831515215c3e77ab3987cdc1166d6b73a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:21 2023 +0100

    ims_diameter_server:  removed trailing spaces

commit 2d013875ca515220864878453a62baafe307e582
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:21 2023 +0100

    ims_dialog:  removed trailing spaces

commit 190bc9a3e9a80eb3834d84ef1e0920b04c0f6710
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:21 2023 +0100

    ims_charging:  removed trailing spaces

commit e065656d73a206bc95476831bfc5d50ab63df0d4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:21 2023 +0100

    ims_auth:  removed trailing spaces

commit 1a064f2291acbc10b64c5a225e90223b0b81ecdc
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:21 2023 +0100

    imc:  removed trailing spaces

commit abfc3308cb7439f433cd78fd8dedbedf560a9605
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:21 2023 +0100

    http_client:  removed trailing spaces

commit 48224395fb5f8d62b79fa93af25b740a43b7f71d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:21 2023 +0100

    htable:  removed trailing spaces

commit 24192fe8e437172b5a8c93ace02a0179c140cb93
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:21 2023 +0100

    h350:  removed trailing spaces

commit 1e78e0fc7d8caa0ba421e54ac109b7d982606d98
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:21 2023 +0100

    group:  removed trailing spaces

commit 3c3d3170c0b486e7f27ea393b3c66738aea6c9f9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:21 2023 +0100

    enum:  removed trailing spaces

commit fc52b07712a24fa5e7ff63b7db44546fc90db51d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:21 2023 +0100

    drouting:  removed trailing spaces

commit a4a735896cbeeef266bd995537d987e70dcd6830
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:21 2023 +0100

    domainpolicy:  removed trailing spaces

commit 4be77ba816e21820a21b2b643bb995dc234bd54a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:21 2023 +0100

    domain:  removed trailing spaces

commit e3fd4ab1e166fb7918292f7cf2d4ce254c13486f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:21 2023 +0100

    dmq:  removed trailing spaces

commit d525729cf510d6a76507961ebc2eadbfe095c9f0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:21 2023 +0100

    diversion:  removed trailing spaces

commit 28efbbca7b8f5f0add544a44fd1f01e91ae2e032
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:21 2023 +0100

    dispatcher:  removed trailing spaces

commit b731d163623775dbbcb2138cac8bb7e0a3bdfbb7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:21 2023 +0100

    dialplan:  removed trailing spaces

commit 8ddc04df5644cf1d7796908792ecf4bf787c8167
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:21 2023 +0100

    dialog:  removed trailing spaces

commit 147467ec18b1136838fe816d610a6c75cfd6b425
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:21 2023 +0100

    db_unixodbc:  removed trailing spaces

commit 140a047913a011eb5cf234537834cbc0ac16b89e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:21 2023 +0100

    db_text:  removed trailing spaces

commit 0e99a0032335423b065cb5134e6f49f7730d0203
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:21 2023 +0100

    db_postgres:  removed trailing spaces

commit 9f93367efc1ef4e9383f63f849fd06f86c7e0741
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:21 2023 +0100

    db_perlvdb:  removed trailing spaces

commit 34b41718a30d2d067a85ec2170598bfaacd719c0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:20 2023 +0100

    db_mongodb:  removed trailing spaces

commit debc999572386df0350c2fe50a19068d02454894
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:20 2023 +0100

    db_flatstore:  removed trailing spaces

commit 8f0270245c38cc7ca91b7d3fe1cc3dc29efbb773
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:20 2023 +0100

    db_cassandra:  removed trailing spaces

commit e7cedacbb35a4684347bf6ff33672994c6738d7c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:20 2023 +0100

    db_berkeley:  removed trailing spaces

commit 10d1e054e3f5da6f9f23258ce6215bcd27a817a9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:20 2023 +0100

    db2_ops:  removed trailing spaces

commit 692fd5baad162a583755b74110a905f32b6dbf17
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:20 2023 +0100

    db2_ldap:  removed trailing spaces

commit 7210a362cab0fe8408b65911c6a64f67f5a560ac
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:20 2023 +0100

    ctl:  removed trailing spaces

commit febac66bd7ca5f129a1fb8b79b1f55e9eea9863f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:20 2023 +0100

    cplc:  removed trailing spaces

commit 088fcb6043ed6ddd6ee761ab5a42476817dc89a4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:20 2023 +0100

    counters:  removed trailing spaces

commit 79fe5addf240de08253f9ed4b53171f7ea559c4f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:20 2023 +0100

    cdp_avp:  removed trailing spaces

commit 56aef00fb90433b5a9782ba93e41f54683d3faa1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:20 2023 +0100

    carrierroute:  removed trailing spaces

commit c957415a1f603dcbb11018c24515bbf0a7c040c1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:20 2023 +0100

    benchmark:  removed trailing spaces

commit 8e05ac373a7b6fc39cbf206b57475516ff0f9c7e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:20 2023 +0100

    auth_radius:  removed trailing spaces

commit ab68b024b0bd20b5917df070198358a999f39079
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:20 2023 +0100

    auth_ephemeral:  removed trailing spaces

commit b825adb9884b37fdcf5cd7d87470bff42af36be8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:20 2023 +0100

    auth_diameter:  removed trailing spaces

commit 7387e5c32006c13137a35706b72e52d0c8fe38c7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:20 2023 +0100

    auth_db:  removed trailing spaces

commit 6ed407b87e6b7f712b4e1d95d660b4ee67a6139d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:20 2023 +0100

    app_python3:  removed trailing spaces

commit a9a84fdfb466639a855b124529eba37648aa1d2c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:20 2023 +0100

    app_python:  removed trailing spaces

commit 45d6fb83aa5cf1835bd4add729b4ef1595c46b22
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:20 2023 +0100

    app_perl:  removed trailing spaces

commit 4b24af914dd5385addf4b4f4a14846eb641c803c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:20 2023 +0100

    app_jsdt:  removed trailing spaces

commit 768ec252de7f4e6e82e9982ead690264ae20b5e1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 13 16:22:20 2023 +0100

    app_java:  removed trailing spaces

commit 60abd912f0fc2e237fb833d63250c184e7401ae5
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Mon Nov 13 13:32:50 2023 +0100

    modules: readme files regenerated - modules ... [skip ci]

commit 94a6bc8fe6fb4dc5599584de1128dbb83d3dc128
Author: Henning Westerholt <hw@gilawa.com>
Date:   Fri Nov 10 14:01:47 2023 +0000

    kamailio.cfg: use xalert instead of old format for xlog, similar as done in other cfg places
    
    (cherry picked from commit 2b9666445a9fd31f75bf86b9924658daffb7ac85)

commit 40f5343d4ca2b4c1cf76eaf168a9b1ae4a722a6a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Nov 10 07:31:38 2023 +0100

    app_python3: enable error log mode for some of missing callback functions
    
    - tm-specific callbacks should trigger error log messages if not found
    
    (cherry picked from commit 695dc54dc1547fdee18b00cfa8e4d15f047834a5)

commit 64f28c7f1fd83719270d914e5368bffbfab09f78
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Nov 9 15:32:39 2023 +0100

    dialog: use memcpy to fill profile uid
    
    (cherry picked from commit 7bdd7fb4aa666b5f56ae3e554770126ad5b68c2e)

commit 9f417ee284fd1829c849061aae6b4d0231a0acca
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Nov 9 14:54:13 2023 +0100

    imc: coverted some static global str variables to macros
    
    (cherry picked from commit 36806bea261f7a29dc1d2a8aedac837a06043968)

commit 42aae6920883e9633ba36b41b235ce26ffa13664
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Nov 8 20:53:53 2023 +0100

    dialplan: reformat exported structures more human friendly
    
    revert to the format it had before 01d0d1de2c8
    
    (cherry picked from commit 6aa940f7acbc565545ae9199b288d16a50bafcab)

commit 88ad50d71fe7da01ae4619cdb14d5119b9e286eb
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Nov 8 20:03:49 2023 +0100

    debugger: reformat exported structures more human friendly
    
    revert to the format it had before 656e147c470
    
    (cherry picked from commit 4642a12c109939f71f91ba7807ded1491e241e26)

commit c7290d0ef8f030ae851581ba436a10177d874858
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Nov 8 18:44:58 2023 +0100

    core: utils/srjson - use snprintf() for silenting analyzers
    
    (cherry picked from commit a62d7118a2f86a82fd080ed4a89a0833e8c4d1a2)

commit 7f1ec26fbf59edc6c771da6104344d61cb6d031c
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Nov 8 19:44:38 2023 +0100

    dialog: reformat exported structures more human friendly
    
    revert to the format it had before 783a416f1a5
    
    (cherry picked from commit f0cf082effe6a0fd8893299e49a519d90bfc6151)

commit 20d8546e0055c43709e77bd8e61377f834011149
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Nov 8 11:06:17 2023 +0100

    topos: update headers for stateless cancel and non-2xx ack
    
    (cherry picked from commit 8f84f6681570d5eb1018e6fe45f280173451bf62)

commit 6fca96d1fe87a8216098304f2b64622f69d3e6aa
Author: Christian Marangi <ansuelsmth@gmail.com>
Date:   Mon Nov 6 16:13:55 2023 +0100

    kamcmd: Makefile - use CUSTOM_NAME for specifying custom binary name
    
    - previous use of NAME can clash with environment variable NAME that
      could be set by OS or by Kamailio modules installation
    - GH #3628
    
    (cherry picked from commit b141f267ce1fe1068de1541d8bd5b5dc53c1d6d9)

commit 6df7569d6cb54b5057b708120c66db80f8c2828b
Author: Morten Tryfoss <morten@tryfoss.no>
Date:   Mon Nov 6 11:14:36 2023 +0100

    tm: T_ASYNC_SUSPENDED flag not removed when cancelling a suspension
    
    (cherry picked from commit 70ecd99e3d8069d0f89444a5b893f61dd1edd1b3)

commit d015ee9c06a8cb6644101d08e4b54f80b96accf6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Nov 3 11:00:34 2023 +0100

    db_redis: init allocated redis table structure
    
    (cherry picked from commit e24df12d10d8b88582907481d161c6a2db5cf8f1)

commit 6aec4f79d0cd4af1639df981cfe0877124542292
Author: Benjamin <92934023+tietzsg@users.noreply.github.com>
Date:   Thu Nov 2 13:09:57 2023 +0100

    http_client: add information about parameter loading (#3619)
    
    * http_client: add information about parameter loading
    
    - Inform that the order of the parameters is important when httpcon is loaded first
    
    * http_client: docs - typos from previous commit
    
    ---------
    
    Co-authored-by: Daniel-Constantin Mierla <miconda@gmail.com>
    (cherry picked from commit 02dd4e2c883585601f4dbcea0b63b858b4dd24d6)

commit 3dee1d598957cb092608e987b1d4f8a726258a5a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Nov 1 08:55:29 2023 +0100

    tm: update return code for EoH check failure
    
    (cherry picked from commit c76444da502325c90eb7ac0cbcc24e7bf16dd5d1)

commit 98e2b05e29716d60789aadac59b372c8534fc8d8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Nov 1 08:21:46 2023 +0100

    core: new code for internal processing error
    
    (cherry picked from commit e34d41557e3a88cfb76571fb3f2793d85d264710)

commit dd034befebc2bed440979bce51c04d8054d075c6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Oct 31 20:04:34 2023 +0100

    tls: note about db_mysql module parameter opt_ssl_mode
    
    (cherry picked from commit d157aed3fc69d3584cb9e6ca0112e47ab917e88e)

commit 1bd0c64845e5eb90492cfa107bb4afd9c4a3bb42
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Oct 31 18:35:06 2023 +0100

    core: error - better message for E_OUT_OF_MEM
    
    (cherry picked from commit 1e4bf66d37afcded52fcaa2a0dd61a87bb1f2c67)

commit 6d0d39311fdf09007aaae6ac0e4e0342048211c5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Oct 31 14:54:54 2023 +0100

    secsipid_proc: Makefile - look for secsipid include and libs in localbase
    
    - done when pkg-config cannot find libsecsipid install details
    
    (cherry picked from commit a2468e66f530822094569cf847796d91b17d4be9)

commit ab7cf4e57ee800c60ec171f801a76f16df318d51
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Oct 25 18:30:54 2023 +0200

    usrloc: reformat exported structures to be more readable
    
    (cherry picked from commit 9a50e380216b7557b53a2e8a0e4068f81ecf635e)

commit ba19a8f30d6c9f7757ef0c8d55e2139a8279d375
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Oct 25 18:06:36 2023 +0200

    dmq_usrloc: avoid needless second local socket search
    
    - remove overwriting local socket string value with received item
    
    (cherry picked from commit f97149aec9da71085df9dcf4541abba7b756939c)

commit 5ddfa0b2f29dbbe30e1933edf0110f8cfb353f76
Author: Konstantin Tumalevich <userad@gmail.com>
Date:   Tue Oct 24 15:23:26 2023 +0600

    app_ruby: Fix rpc documentation typo
    
    (cherry picked from commit 111d9f70cf55eca08b78e21213f3452fa8622d21)

commit d93d8b882b584ef41721f7c6d9fb221890ef365f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Oct 21 09:05:44 2023 +0200

    topos: remove check of th_param_mask_callid() for api callid masking
    
    - functions are not for topoh internal usage, but for intermodule API
    - reported as part of GH #3606
    
    (cherry picked from commit e5ecb666abd24433b0de030980f79e2521439524)

commit c9c0b12efc7031ee894a62c6a148fec7f3df03f8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Oct 20 10:34:21 2023 +0200

    tls: include file to fix warning about tls_openssl_clear_errors()
    
    (cherry picked from commit fe8eafd31327c14e7b081cd8f4a6532953e0a1c6)

commit 84a6b3f59165372400340a7f049653176d071830
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue Oct 17 14:12:57 2023 +0200

    presence: active_watcher cleanup timer
    
    related #3074
    
    (cherry picked from commit f27eda6fe3d99d1352d4df86d79e4646b0a4c17a)

commit 97a37f7b9ad89a409e3a03bb63f07846bfcad0af
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Thu Oct 19 12:18:38 2023 +0000

    tls: Add and apply tls_openssl_clear_errors function
    
    (cherry picked from commit 110ebbafadcc225f4e88749287f06ae29a6cfa2e)

commit 2481ccd984ac0b9896def8b36458a34acc2cddeb
Author: Juha Heinanen <jh@tutpro.com>
Date:   Thu Oct 19 13:36:32 2023 +0200

    core: change tcp_check_timer initialization
    
     - make tcp_check_timer default to depend on tcp_msg_data_timeout and
      ksr_tcp_msg_read_timeout values, set to half of the minimum of the
      two, it is not explicitely set
    - GH #3608
    
    (cherry picked from commit 5077127b0fe1a2d803e42abe19cfcd93339f0519)

commit acd47ad9a175684548dd3fb9c45d18ca81ba6fdb
Author: VoIPNuggets.com <akash@voipnuggets.com>
Date:   Tue Oct 17 19:19:48 2023 +0530

    tools: route_graph - added README file and updated reference URL [skip ci]
    
    (cherry picked from commit 976da8c72e9a056b724f584a803a4a8114f70d30)

commit 6fbabb1fc2d93bd1983ad40d0d122ed0373236c6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Oct 16 09:09:08 2023 +0200

    core: added tcp_accept_iplimit parameter
    
    - set limit for accepted connections from the same ip address
    - default 1024
    
    (cherry picked from commit 241127c5f0820614a3e2ac1467e9f8cb8a0eeb23)

commit a86a46474bf53103155ee4e4dac200c67c971f12
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Oct 16 08:57:32 2023 +0200

    core: added tcp_msg_data_timeout parameter
    
    - duration in seconds for how long to wait till data is received on a
      new tcp connection
    - default 20
    
    (cherry picked from commit 213e19108699ed4ea5c962caf673b0a60ce41480)

commit 5bedf8c17a6309f3c17c69cfc6dacd9cccbe4ac1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Oct 16 08:35:09 2023 +0200

    core: added tcp_check_timer parameter
    
    - set the check interval (in seconds) for tcp connections
    - default 10
    
    (cherry picked from commit 1acede64041307b783ed90736ca114917bafbc14)

commit 0d890ed6fd7afd351ba84933da1f90a7433a5bfe
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Oct 15 19:20:13 2023 +0200

    core: added tcp_msg_read_timeout parameter
    
    - specify read timeout for tcp messages
    
    (cherry picked from commit 92feec4fa026a153d1f9ed79e5893bf1086db909)

commit 07c61363a9c1065cf5754672b6ef78c1d79cf641
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Oct 14 16:49:20 2023 +0200

    core: added msg_recv_max_size global parameter
    
    - set limit for max size of received tcp or upd messages
    
    (cherry picked from commit b56037fab181037d48bfc90802f25b85ae8bee04)

commit 25d50b8977290d53da60a0f5800f762a735ac35b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Oct 13 17:33:07 2023 +0200

    core: tcp - limit number of accepted connections per src ip
    
    - default 1024
    
    (cherry picked from commit a902e4a032a85a7755de32eeadac800a1312e64f)

commit e21c8180cb8a676e48cea84427247c42bfd9243f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Oct 13 16:36:39 2023 +0200

    core: tcp - exclude crlf ping from data exchage state
    
    (cherry picked from commit ddfe15f860555048f1ad6884727d4eb52f11910f)

commit 68f5f43963511dec19eaed2300d8ba1e291832b0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Oct 13 16:31:10 2023 +0200

    core: tcp - close connection without data traffic at all
    
    - default timeout: 20sec
    - cleanup is done on timer, it can take another 10sec
    
    (cherry picked from commit ef86402d2397ff7b0416bc17ab0a2ba906402215)

commit e18ed857576ed682ee620184c8c1053e8222a952
Author: Nikolay Ivanuschak <ivanuschak.nikolay@gmail.com>
Date:   Mon Jul 24 14:09:31 2023 +0300

    core: fixed wrong network interface selection.
    
    fixed incorrect source IP address selection for the SIP
    messages sending procedure when TCP transport is used or
    for UDP with the 'mhomed' setting set as 'mhomed=1'.
    
    (cherry picked from commit d4e16520a06344ce2bfd07eda4447d68a2c3fce8)

commit 1be68f52c4b2065c7a7da0c917e9c065a2c4cd00
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Oct 13 16:02:12 2023 +0200

    core: tcp - set limit for reading a message
    
    - default 10sec - if message is not read, close connection
    - cleanup is done on timer, it can take an additional 10sec to clean up
      connection
    
    (cherry picked from commit f5b46efc3a97aa45d090f46990a40bcc9dd91390)

commit b503b95a2a62a2e51a5cff20caaa30212d078e84
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Oct 6 12:32:53 2023 +0200

    kamdbctl: check if kamctlrc is readable
    
    (cherry picked from commit f16ec35fa448d03613e6bbbff4c354012f56073e)

commit 259812f03ec26d49776050ca5eb657f2771ce8d5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Oct 6 08:19:18 2023 +0200

    kamctl: check if kamctlrc is readable
    
    - related to GH #3594
    
    (cherry picked from commit a3fd3b12ca9b1c3688255e9d645085947052bc6d)

commit 9081a586b32095b1d98ac9fef2328169939b482f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Sep 28 09:03:50 2023 +0200

    core: dns cache - warnings on put for unlinked items
    
    (cherry picked from commit 1bb1ba60992ffa35e8d36ed1dab98fdc36a2ea30)

commit e86b362c2f875986bf5c70340089c039bc2bbada
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:33:34 2023 +0100

    utils: clang-format for coherent indentation and coding style

commit c2a1a22a2356267195dd86118bb4c2eba6d0d0c2
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:33:13 2023 +0100

    test: clang-format for coherent indentation and coding style

commit e9397ab8f45ac24a4f8c44b112f8b5448bffb768
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:32:57 2023 +0100

    misc: clang-format for coherent indentation and coding style

commit bde436f3ab8adb497ef71c3abb7fbf01e45fe671
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:30:07 2023 +0100

    xprint: clang-format for coherent indentation and coding style

commit c6c79dfcf8161dd4fe327ffdf5cb95e5999f4cf1
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:30:06 2023 +0100

    xmpp: clang-format for coherent indentation and coding style

commit f785215cde676129c39bfa4e9b70413426a40674
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:30:06 2023 +0100

    xmlrpc: clang-format for coherent indentation and coding style

commit f28ba7113c7b041c53a24a084e97b6898637d3b8
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:30:06 2023 +0100

    xmlops: clang-format for coherent indentation and coding style

commit 61a2b76ca2b15b0f32c966407a2bed3c53794a5a
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:30:06 2023 +0100

    xlog: clang-format for coherent indentation and coding style

commit ecc7b45aa2de626b0f050e19fcd5fa35b6ed3fea
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:30:06 2023 +0100

    xhttp_rpc: clang-format for coherent indentation and coding style

commit f37d20d0e2ca35e96466e20f5343fecf3dd3e40e
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:30:06 2023 +0100

    xhttp_prom: clang-format for coherent indentation and coding style

commit cdd79007ceb923ca25e0e4dfa034de49dc94e74c
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:30:05 2023 +0100

    xhttp_pi: clang-format for coherent indentation and coding style

commit 1b5ed5423c814387c06db3d040bca3309a00db7b
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:30:05 2023 +0100

    xhttp: clang-format for coherent indentation and coding style

commit 9cab5a37a6ef34b7f2a8dfff8123661987b52570
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:30:05 2023 +0100

    xcap_server: clang-format for coherent indentation and coding style

commit 42f35537daf954a30308d9310658f9b083daa2b7
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:30:05 2023 +0100

    xcap_client: clang-format for coherent indentation and coding style

commit 44a73f342084f03ee78e546592128dd570677672
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:30:05 2023 +0100

    websocket: clang-format for coherent indentation and coding style

commit f32bcccb99f301b85dd85cab751ce35d85816daa
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:30:05 2023 +0100

    uuid: clang-format for coherent indentation and coding style

commit 708f270808233f8bd814e6be2bb39d910b4c7c0e
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:30:05 2023 +0100

    utils: clang-format for coherent indentation and coding style

commit b0fcfbff5b51f86a6dfe7ce48352c4a24363adb2
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:30:04 2023 +0100

    usrloc: clang-format for coherent indentation and coding style

commit 85c68fd99069ccb6f61be264611ec43a5846d57b
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:30:04 2023 +0100

    userblocklist: clang-format for coherent indentation and coding style

commit 8c24f944b3c59d08e754e5d97b56b19abb65f61b
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:30:04 2023 +0100

    uri_db: clang-format for coherent indentation and coding style

commit cb11c30d6bb361fcc039b4f0fd1464d4ef7c62c1
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:30:04 2023 +0100

    uid_uri_db: clang-format for coherent indentation and coding style

commit 6379786fe8a7ed83e6d9cccaeaa9b3ead9541109
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:30:04 2023 +0100

    uid_gflags: clang-format for coherent indentation and coding style

commit 23031bb0026aaea32d1cfff7816f10bb29703f37
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:30:04 2023 +0100

    uid_domain: clang-format for coherent indentation and coding style

commit eb25b4926d71ecded0ae24ed0ee622587dc2dcf9
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:30:03 2023 +0100

    uid_avp_db: clang-format for coherent indentation and coding style

commit 4e64e52948c9ec74cc18b47286fd60c2f508afe8
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:30:03 2023 +0100

    uid_auth_db: clang-format for coherent indentation and coding style

commit 61f8ee35429bda6f8b941e924a070eaf1abe6757
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:30:03 2023 +0100

    uac_redirect: clang-format for coherent indentation and coding style

commit 38d693046f149c9151c54606fef1fe56628be4b1
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:30:03 2023 +0100

    uac: clang-format for coherent indentation and coding style

commit fbf2d7e7a13b44f1686dd2c05e149bd62d9c2917
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:30:03 2023 +0100

    tsilo: clang-format for coherent indentation and coding style

commit fcb5dccdd2457c61dcf8fe6e493e61e2a45cc031
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:30:03 2023 +0100

    topos_redis: clang-format for coherent indentation and coding style

commit 8b0cff0cb6c6c3dde67de8624c9925b66914a64b
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:30:02 2023 +0100

    topos: clang-format for coherent indentation and coding style

commit b2868a6390cb30fb095ecb5252416de5465cf28b
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:30:02 2023 +0100

    topoh: clang-format for coherent indentation and coding style

commit dcb0cc220fec594e3347830741b76140e22cae36
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:30:02 2023 +0100

    tmx: clang-format for coherent indentation and coding style

commit 27675989ab2f64fd396c5bcc1b4b91d9b39f7631
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:30:02 2023 +0100

    tmrec: clang-format for coherent indentation and coding style

commit 78b6ad95d3e90a9355d2b789ad83c391622df7b5
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:30:02 2023 +0100

    tm: clang-format for coherent indentation and coding style

commit 65163db47f81a9d2b3946c396f7e3657e8a0d687
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:30:02 2023 +0100

    tlsa: clang-format for coherent indentation and coding style

commit b7af86eece493465f77de1a231d63a57d80236d9
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:30:01 2023 +0100

    tls_wolfssl: clang-format for coherent indentation and coding style

commit 81a166bfbba96dcf4f65dc3639485a6b1d6c72d9
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:59 2023 +0100

    tls: clang-format for coherent indentation and coding style

commit 3b4a5fb7058098b3b9317807131d275e8df82652
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:59 2023 +0100

    timer: clang-format for coherent indentation and coding style

commit 2bfc3aa52be27238896b64a937dd7c321c349da6
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:59 2023 +0100

    textopsx: clang-format for coherent indentation and coding style

commit 62ea726599f649583f3841c66b179ff8733dc514
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:59 2023 +0100

    textops: clang-format for coherent indentation and coding style

commit 80758ae8e3c4f8e42cd39d1e5119e0177725d36a
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:59 2023 +0100

    tcpops: clang-format for coherent indentation and coding style

commit a9d25d79e13eef11e660dbfa2b92b7feef78558f
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:58 2023 +0100

    systemdops: clang-format for coherent indentation and coding style

commit c945acb71d1f951d398f664ab9a0f433ac523efb
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:58 2023 +0100

    sworker: clang-format for coherent indentation and coding style

commit acb202e3834b5625916555936d65bb944efdeef9
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:58 2023 +0100

    stun: clang-format for coherent indentation and coding style

commit b12bdf74b45f629304a283550989e92d3f0258ae
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:58 2023 +0100

    stirshaken: clang-format for coherent indentation and coding style

commit 8278a782c31d5082985cb51f2ccc665e361c0d0c
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:58 2023 +0100

    statsc: clang-format for coherent indentation and coding style

commit b812d59a21c92fa9a07f5d48283a43b2acfe19bb
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:58 2023 +0100

    statistics: clang-format for coherent indentation and coding style

commit 605754e18f66ba02f8b033959705f68ed12f89fb
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:57 2023 +0100

    sst: clang-format for coherent indentation and coding style

commit 3315529c8439edfe042dcef025c5912f623e0bdb
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:57 2023 +0100

    ss7ops: clang-format for coherent indentation and coding style

commit 41b8142ff10ff66564c8c5cb65672bef9ac5c5da
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:57 2023 +0100

    sqlops: clang-format for coherent indentation and coding style

commit 852356b7aed5a485dd5863017605efac9583c7da
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:57 2023 +0100

    speeddial: clang-format for coherent indentation and coding style

commit 7278b3e081613ae917432bfb0b2bd4808ec6a6e1
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:57 2023 +0100

    snmpstats: clang-format for coherent indentation and coding style

commit fc887c6ed5cd1df63d4b68ec6302fd20e341e719
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:56 2023 +0100

    smsops: clang-format for coherent indentation and coding style

commit 6f1aeffbc41e54508f57a753d8945d5caa48c295
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:56 2023 +0100

    sms: clang-format for coherent indentation and coding style

commit fe93fdb14bdbad7ff313ecfa929555811bb14076
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:56 2023 +0100

    slack: clang-format for coherent indentation and coding style

commit 3ac3385b67ae442bcbd612a70e69600944ca63d8
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:56 2023 +0100

    sl: clang-format for coherent indentation and coding style

commit 4714d8ea52a7f48e68ec760c61404fa46a45ee50
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:56 2023 +0100

    siputils: clang-format for coherent indentation and coding style

commit 17e9fef12b198b3047c032ee4a036c7e96be4bad
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:56 2023 +0100

    siptrace: clang-format for coherent indentation and coding style

commit 683d6d79e075165abd6ba4b4b17a6200eef46a76
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:55 2023 +0100

    sipt: clang-format for coherent indentation and coding style

commit cfd25ffdfd6be31951884c46c121564a502e4da4
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:55 2023 +0100

    siprepo: clang-format for coherent indentation and coding style

commit 60065a779d9657258333fe9889db8eedc44e1fed
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:55 2023 +0100

    sipjson: clang-format for coherent indentation and coding style

commit d1ec5f160ce744d33c717c58984701879b763992
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:55 2023 +0100

    sipdump: clang-format for coherent indentation and coding style

commit cf83ce271815d39419ec12cb6a535cc3ddea1a39
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:55 2023 +0100

    sipcapture: clang-format for coherent indentation and coding style

commit 2cca87bc653621434c684c013536319bb23dd898
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:54 2023 +0100

    secsipid_proc: clang-format for coherent indentation and coding style

commit bde3c9489a9232949afdab197db36bb26a4d1f12
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:54 2023 +0100

    secsipid: clang-format for coherent indentation and coding style

commit ed67051e8bec9a8422a2e37fcf10b0efb4006339
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:54 2023 +0100

    secfilter: clang-format for coherent indentation and coding style

commit e36cfac455c65cd9fe7f090a1e0743c726e6ca70
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:54 2023 +0100

    seas: clang-format for coherent indentation and coding style

commit 4fbfa6a1f8d40d50e8e58f17f43db58a5b30de0a
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:54 2023 +0100

    sdpops: clang-format for coherent indentation and coding style

commit 54d31cff8ee3787bf97f69e6b4a4b47da3c6b7a8
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:54 2023 +0100

    sctp: clang-format for coherent indentation and coding style

commit 93a18a05ef8221f67df1604d8a177f3d4b631769
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:53 2023 +0100

    sanity: clang-format for coherent indentation and coding style

commit 818b7b303d9cb82956591dbf2ec69e305c0d6bc1
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:53 2023 +0100

    ruxc: clang-format for coherent indentation and coding style

commit 5124fb45f0565c9b50dc5881d22ab5e32e5b1c1e
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:53 2023 +0100

    rtpproxy: clang-format for coherent indentation and coding style

commit 37d7f892c0887ce8050c839e6fd69558c2286e48
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:53 2023 +0100

    rtpengine: clang-format for coherent indentation and coding style

commit 6462ad794665b094ce626bfb3e87ce312aa6bf38
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:53 2023 +0100

    rtp_media_server: clang-format for coherent indentation and coding style

commit af817079ec17618786a3968d01c98dfbd0a7c305
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:52 2023 +0100

    rtjson: clang-format for coherent indentation and coding style

commit 0d693bbb78292a97e4dab8c732880a5648ee7f22
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:52 2023 +0100

    rtimer: clang-format for coherent indentation and coding style

commit a5085b6604971b9427eb7267ceb7b5cef63b14ec
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:52 2023 +0100

    rr: clang-format for coherent indentation and coding style

commit 27c7a57b0a271d89a263b578ec2d649280016b3c
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:52 2023 +0100

    rls: clang-format for coherent indentation and coding style

commit 5d34e998f67b77bebb7433ac18246ac87f2ed9e8
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:52 2023 +0100

    registrar: clang-format for coherent indentation and coding style

commit e485dd55d24675c0f0ed229b90d284eb76c4d748
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:51 2023 +0100

    regex: clang-format for coherent indentation and coding style

commit 31ffd3b1e48532ca6d4ab9d7144f6c66170c48b9
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:51 2023 +0100

    ratelimit: clang-format for coherent indentation and coding style

commit 3c243106eae41f475ca154839049b5c013c74f12
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:51 2023 +0100

    rabbitmq: clang-format for coherent indentation and coding style

commit f5cefe855e091cc88ef4d5c3b5031f64f3f310aa
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:51 2023 +0100

    qos: clang-format for coherent indentation and coding style

commit 090a0a5229b4961728bbf391600590a1c15d39c4
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:51 2023 +0100

    pv_headers: clang-format for coherent indentation and coding style

commit 77d1867e04722e4e54a7f0119afc53384e2c6031
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:50 2023 +0100

    pv: clang-format for coherent indentation and coding style

commit 3b9a5f5b355aa5ed78f8d414486c6102fa5a3988
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:50 2023 +0100

    pua_xmpp: clang-format for coherent indentation and coding style

commit 6152b421b3b434243fa2d5b0204a6fc7f18f750a
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:50 2023 +0100

    pua_usrloc: clang-format for coherent indentation and coding style

commit dd9ef62304bdb1f466b1a50dedb1336169b25873
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:50 2023 +0100

    pua_rpc: clang-format for coherent indentation and coding style

commit f6e645b4bd19355c81c5fbefc9b14895dd443e44
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:50 2023 +0100

    pua_reginfo: clang-format for coherent indentation and coding style

commit 58b340a7b8ff42c0372f9ebb13f84099acd3f05c
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:49 2023 +0100

    pua_json: clang-format for coherent indentation and coding style

commit ca8720ab8c64e55018c3cb2d9f69886c2b03af2f
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:49 2023 +0100

    pua_dialoginfo: clang-format for coherent indentation and coding style

commit beeac1c186ec19e4c32faaad76f3640a129aa2f6
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:49 2023 +0100

    pua: clang-format for coherent indentation and coding style

commit 33bc3c462bc8e031a2c1cc6c6abad04e83a97773
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:49 2023 +0100

    print_lib: clang-format for coherent indentation and coding style

commit cacea1147eb1156369fd4a3d2d2cb8f14cf93950
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:49 2023 +0100

    print: clang-format for coherent indentation and coding style

commit 1b3989c0b7206cf340f6081f35d760d9de905642
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:48 2023 +0100

    presence_xml: clang-format for coherent indentation and coding style

commit 2a5651e1b13999cfd18ed1d746ba0eaf4d1afc37
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:48 2023 +0100

    presence_reginfo: clang-format for coherent indentation and coding style

commit 4fd23e90765328551fdae40e252b7a8bd8de30c6
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:48 2023 +0100

    presence_profile: clang-format for coherent indentation and coding style

commit 9392e0576c9f574693c4aa6df6ab79643c1bed1c
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:48 2023 +0100

    presence_mwi: clang-format for coherent indentation and coding style

commit 26429896dbb7e3258ef38f96f3b581a4d226f19a
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:47 2023 +0100

    presence_dialoginfo: clang-format for coherent indentation and coding style

commit 660bb67bfb8a9c6d2bb21e56c6fbe75958f47f1b
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:47 2023 +0100

    presence_conference: clang-format for coherent indentation and coding style

commit e6009d8765e64232b143d5e55fe4a1020944899d
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:47 2023 +0100

    presence: clang-format for coherent indentation and coding style

commit 0ec2d4c773916217ad3e1df3f9517f18af79517d
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:47 2023 +0100

    prefix_route: clang-format for coherent indentation and coding style

commit b1754ca2f7a25764f5505b4fbd8eeac2188bf80e
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:47 2023 +0100

    posops: clang-format for coherent indentation and coding style

commit 92387942814a8debc652c1ac63052a10c4b9f37b
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:46 2023 +0100

    pipelimit: clang-format for coherent indentation and coding style

commit 7856f6b1f32e8b70caac63874d71e9afd57e065f
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:46 2023 +0100

    pike: clang-format for coherent indentation and coding style

commit da5f082847b15137bb37813c6688e31ab80801b5
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:46 2023 +0100

    phonenum: clang-format for coherent indentation and coding style

commit 2ac32e211a817351b2f1e6fced5cdd77f825c0e1
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:46 2023 +0100

    permissions: clang-format for coherent indentation and coding style

commit 87dc7bbba357324aa83b80fb450dfada1906931a
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:46 2023 +0100

    peering: clang-format for coherent indentation and coding style

commit 187ff10d21eeea60bacd7fc387061594352de73f
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:45 2023 +0100

    pdt: clang-format for coherent indentation and coding style

commit ccb0471fad59dc08d996c08de72c94d0cbd8eddf
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:45 2023 +0100

    pdb: clang-format for coherent indentation and coding style

commit 6dec7489513660c62fe5ea6067bf9d66265b431d
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:45 2023 +0100

    path: clang-format for coherent indentation and coding style

commit a7f7e838443c2253176536096fba60873bda8636
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:45 2023 +0100

    p_usrloc: clang-format for coherent indentation and coding style

commit bbf515018debf4112b135394ab01a458a2f2fa63
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:45 2023 +0100

    outbound: clang-format for coherent indentation and coding style

commit 5e05a7eeac09be9649d48293a1252bfd107b677f
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:44 2023 +0100

    osp: clang-format for coherent indentation and coding style

commit b39268ecce5158067b008095723fd6037d1b1674
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:44 2023 +0100

    nsq: clang-format for coherent indentation and coding style

commit 3ace37468c1a1bb938bc3cdcd2bdcd09ceee2bbc
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:44 2023 +0100

    nosip: clang-format for coherent indentation and coding style

commit f4038ba81e117011436a978c47f5a57cb531b6f6
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:44 2023 +0100

    ndb_redis: clang-format for coherent indentation and coding style

commit 0d48647f43c2da0c09135e0998f1a1ea1eedd1c0
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:43 2023 +0100

    ndb_mongodb: clang-format for coherent indentation and coding style

commit 7655ade6e131522bdbcda2b5a55c0a5e7207c33c
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:40 2023 +0100

    ndb_cassandra: clang-format for coherent indentation and coding style

commit 1284e2a68b860a133cb33bdbaed23304815a51ba
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:39 2023 +0100

    nats: clang-format for coherent indentation and coding style

commit fa528f44025a957b75be64ded06c33a386c26094
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:39 2023 +0100

    nathelper: clang-format for coherent indentation and coding style

commit 61349ccda2368d4d252ea3add6417a32697d61a3
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:39 2023 +0100

    nat_traversal: clang-format for coherent indentation and coding style

commit a0c054627bf8ad4a05dcc3b8c6e7e3b48dec5a3d
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:39 2023 +0100

    mtree: clang-format for coherent indentation and coding style

commit 5470166381b5c2f0c8eaa36f24789a710fbc5e06
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:38 2023 +0100

    msrp: clang-format for coherent indentation and coding style

commit 407e65ea99e8cbcdce424f69d4b1026c1984d45b
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:38 2023 +0100

    msilo: clang-format for coherent indentation and coding style

commit 2476a8805c63d74267b978b94b96a2c210f6d0e1
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:38 2023 +0100

    mqueue: clang-format for coherent indentation and coding style

commit 4da9fbeae73bd8b1393d4ae3f38f4c475f40ac58
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:38 2023 +0100

    mqtt: clang-format for coherent indentation and coding style

commit 4b14ce51fbf80fcfc57fb141f0076011edeeeb86
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:38 2023 +0100

    mohqueue: clang-format for coherent indentation and coding style

commit 0c3c40c52a02ed8286da3bcdbe73af571e147c24
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:37 2023 +0100

    misctest: clang-format for coherent indentation and coding style

commit 5a3a9bb35479d670a5f474f005dc315066a1d5f3
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:37 2023 +0100

    misc_radius: clang-format for coherent indentation and coding style

commit 3cbdddbcfbb3fe6a306e90e2eaf3e731a28de0cc
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:37 2023 +0100

    memcached: clang-format for coherent indentation and coding style

commit 3810f75fbd8c60ed51d8956cc92b0d1b1b06d1ed
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:37 2023 +0100

    mediaproxy: clang-format for coherent indentation and coding style

commit 3c7b3b29b331bf54e1e40f83fbd4a73b03b69268
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:36 2023 +0100

    matrix: clang-format for coherent indentation and coding style

commit 3090bb4198ba89ddd3ffb79b970ebccec2dd9b02
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:36 2023 +0100

    math: clang-format for coherent indentation and coding style

commit c4f37b16516b2c83a5ff93712c8de45424f5bfcf
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:36 2023 +0100

    mangler: clang-format for coherent indentation and coding style

commit 0b267aef7cdba04e589a6262a78a35ed37fa71dc
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:36 2023 +0100

    lwsc: clang-format for coherent indentation and coding style

commit 4af6f2b52620b6c39fa40075d394b57e77d381cc
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:36 2023 +0100

    lrkproxy: clang-format for coherent indentation and coding style

commit e02039fcac50f7e85704bd85912e7acb394dea02
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:35 2023 +0100

    lost: clang-format for coherent indentation and coding style

commit cc7c00bf65ee76dc8e774e034c38224ad90023ca
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:35 2023 +0100

    log_systemd: clang-format for coherent indentation and coding style

commit 24b693365a4a1b7f713bd005f46320b3d004de5f
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:35 2023 +0100

    log_custom: clang-format for coherent indentation and coding style

commit 707eafe3b36c6562bc1ae44f20464d8e19d3e3ca
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:35 2023 +0100

    ldap: clang-format for coherent indentation and coding style

commit 1a00a87277c83ade9868523e0c467211e66ba837
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:34 2023 +0100

    lcr: clang-format for coherent indentation and coding style

commit eb906d05f635bdd5a906c94a9566eb5571f59cbe
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:34 2023 +0100

    kex: clang-format for coherent indentation and coding style

commit 987a834de0a75697292a9021d0f7df2010189512
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:34 2023 +0100

    kemix: clang-format for coherent indentation and coding style

commit 5d7e0a64cc6c4f378151272d4a06e3f416f2e5cb
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:34 2023 +0100

    keepalive: clang-format for coherent indentation and coding style

commit 0f76f41dec313a292511d2169bd087d2cc0864c3
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:33 2023 +0100

    kazoo: clang-format for coherent indentation and coding style

commit ae3c92b7b49f9e02aa5529b5d8c1380f0fece366
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:33 2023 +0100

    kafka: clang-format for coherent indentation and coding style

commit 8194d2374c474a1d6890183aa601c8fa8a9bfe24
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:33 2023 +0100

    jwt: clang-format for coherent indentation and coding style

commit 61889d2fb6281fdbb11e273f89775de1a54a8c24
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:33 2023 +0100

    jsonrpcs: clang-format for coherent indentation and coding style

commit ef3e56d9a739f1e831f376486363e324bc9b1299
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:33 2023 +0100

    jsonrpcc: clang-format for coherent indentation and coding style

commit 570649b3ccabfa5491538e47b5167f71d40bc8da
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:32 2023 +0100

    json: clang-format for coherent indentation and coding style

commit c1435a436204d845d0c70ee4feb9d15ebd28be38
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:30 2023 +0100

    janssonrpcc: clang-format for coherent indentation and coding style

commit 9ce41e86e9725b6b40251cba6d75094f54586f46
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:30 2023 +0100

    jansson: clang-format for coherent indentation and coding style

commit e17cd90547ba1ee70007a8a1ac7c74e0cc1f71c4
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:30 2023 +0100

    ipops: clang-format for coherent indentation and coding style

commit 107c3ba8bd24712c33066c72da25ff4bd0d11f76
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:29 2023 +0100

    ims_usrloc_scscf: clang-format for coherent indentation and coding style

commit b37688e8c387ec445b9da75601103579dacbf0ce
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:29 2023 +0100

    ims_usrloc_pcscf: clang-format for coherent indentation and coding style

commit 70e9b22ffbf0f066a4384627811de1046062d37c
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:29 2023 +0100

    ims_registrar_scscf: clang-format for coherent indentation and coding style

commit 884d30d62b1006e9cfa675bd23692746da63a505
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:29 2023 +0100

    ims_registrar_pcscf: clang-format for coherent indentation and coding style

commit 19082b1761952fba14c73dc6bb50443311ab25dc
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:28 2023 +0100

    ims_qos: clang-format for coherent indentation and coding style

commit 4ec37894980362e51d3fc2dbf801df4781aa8173
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:28 2023 +0100

    ims_ocs: clang-format for coherent indentation and coding style

commit 712c4bfe3c787b26ec81cfbb29b0170f4df768e0
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:28 2023 +0100

    ims_isc: clang-format for coherent indentation and coding style

commit 1685254536ec40f72dc02a14f87b3a8bde1cd15a
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:28 2023 +0100

    ims_ipsec_pcscf: clang-format for coherent indentation and coding style

commit 223a1f1b91e2b201b17c22a9e475e6a24b4defeb
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:27 2023 +0100

    ims_icscf: clang-format for coherent indentation and coding style

commit c76c657fd4926a7d13354b7f51d2a1086750d38e
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:27 2023 +0100

    ims_diameter_server: clang-format for coherent indentation and coding style

commit c3cbfec24f6966bfbe0c74f91496a0a6fc5d56be
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:27 2023 +0100

    ims_dialog: clang-format for coherent indentation and coding style

commit 9daef643e895591fd6c0525c2ea893aed958afe6
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:27 2023 +0100

    ims_charging: clang-format for coherent indentation and coding style

commit 9ab04f9a9e3941f24a825fede7edb7d9323fc053
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:26 2023 +0100

    ims_auth: clang-format for coherent indentation and coding style

commit 76e0762a7583ef0c203798e07572c3699d0cbcac
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:26 2023 +0100

    imc: clang-format for coherent indentation and coding style

commit 1f3491e67c752fd85d5482a51ddd44a58c1c2a3b
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:26 2023 +0100

    http_client: clang-format for coherent indentation and coding style

commit 12332368cd934c434118f53ca429fd4373160220
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:26 2023 +0100

    http_async_client: clang-format for coherent indentation and coding style

commit b63b8c6dfd493141f60b3ce67bce0cfc3c15e536
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:25 2023 +0100

    htable: clang-format for coherent indentation and coding style

commit 0deeb0493fbc3d85780206c0cc0608fffd08bbbe
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:25 2023 +0100

    h350: clang-format for coherent indentation and coding style

commit 94b11b63003cac33d92313a59cb648889b5e97b6
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:25 2023 +0100

    gzcompress: clang-format for coherent indentation and coding style

commit f84ba84819af565f49b8df1f9fbb749a577fb3c8
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:25 2023 +0100

    group: clang-format for coherent indentation and coding style

commit 3dfbd256e89a87c633d961cd78b20690b34344d8
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:24 2023 +0100

    geoip2: clang-format for coherent indentation and coding style

commit 5d1ad6edb5883bf798b363a02259ef0561e3fb68
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:24 2023 +0100

    geoip: clang-format for coherent indentation and coding style

commit 709327530b5d741a6df1299bb38075e558eee252
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:24 2023 +0100

    exec: clang-format for coherent indentation and coding style

commit a5da6b42e2b8c2650431449e47cb631ecf301fda
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:23 2023 +0100

    evrexec: clang-format for coherent indentation and coding style

commit c5db942d88a7aa7bb909a323b3370a7f82ee3f16
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:23 2023 +0100

    evapi: clang-format for coherent indentation and coding style

commit 908e1be70755329033a8aaa00ba1ebec24915ac0
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:23 2023 +0100

    erlang: clang-format for coherent indentation and coding style

commit 4474d7d661bb70515672d519f0b601fd401847c7
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:23 2023 +0100

    enum: clang-format for coherent indentation and coding style

commit dbc27591789e2d67e60f06ea7ead305d719ceaff
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:22 2023 +0100

    drouting: clang-format for coherent indentation and coding style

commit c243719c65a7deede938cf712a707a82397e9c5b
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:22 2023 +0100

    domainpolicy: clang-format for coherent indentation and coding style

commit 0cef14d72db1372d0ad35ad9f1a53520f7e4a682
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:22 2023 +0100

    domain: clang-format for coherent indentation and coding style

commit eb0d1a0eefc99129877db81ddf4b60999e2e3861
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:22 2023 +0100

    dnssec: clang-format for coherent indentation and coding style

commit 781dce54e591ed3fc170bee54605404f4de8cc4f
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:21 2023 +0100

    dmq_usrloc: clang-format for coherent indentation and coding style

commit 81d8d1dc5d2da2f069d7fad1a292c238b9ef24e3
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:21 2023 +0100

    dmq: clang-format for coherent indentation and coding style

commit 7f4544ecdb7c434a8dcad7930dc9d82a0ff80054
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:21 2023 +0100

    dlgs: clang-format for coherent indentation and coding style

commit 5acac37679e07451d2df6f8835d4d23849bc0e8b
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:21 2023 +0100

    diversion: clang-format for coherent indentation and coding style

commit 1efb52c14f05479fae2913b55fbebfa6d173e693
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:20 2023 +0100

    dispatcher: clang-format for coherent indentation and coding style

commit 6100f23f93e61f26e67a59ce45b24f86a669cea2
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:20 2023 +0100

    dialplan: clang-format for coherent indentation and coding style

commit 1b87c9d40b3412d3eda55c6c7842ca296234b390
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:20 2023 +0100

    dialog: clang-format for coherent indentation and coding style

commit 5d56861c02c114b1e2bb376de9d179c3651bcd53
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:20 2023 +0100

    debugger: clang-format for coherent indentation and coding style

commit d3c3d1250d18d9f3ea8dacc7c34da4b18e5ee177
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:19 2023 +0100

    db_unixodbc: clang-format for coherent indentation and coding style

commit 54ba86f4ffb5703cadb06278f45237b02c34195a
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:19 2023 +0100

    db_text: clang-format for coherent indentation and coding style

commit ebf22b92286ea49fa2cf3335dfd8978e1bda499e
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:19 2023 +0100

    db_sqlite: clang-format for coherent indentation and coding style

commit 71caf413928952edef103375a904a0071c7f180f
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:18 2023 +0100

    db_redis: clang-format for coherent indentation and coding style

commit 9570512f168411972b99982dc648d52484f46488
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:18 2023 +0100

    db_postgres: clang-format for coherent indentation and coding style

commit 90200f4a1c4dd1bb37f47792470a867324593ef1
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:18 2023 +0100

    db_perlvdb: clang-format for coherent indentation and coding style

commit 5fe03666fdd2242db43513244d159f8f18f73070
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:18 2023 +0100

    db_oracle: clang-format for coherent indentation and coding style

commit 9bfb2ab204bb4739a7f537c56937570ba2ec1ec6
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:17 2023 +0100

    db_mysql: clang-format for coherent indentation and coding style

commit 47d83e1e37d695137ec0543e089e397f1f2ab5c9
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:17 2023 +0100

    db_mongodb: clang-format for coherent indentation and coding style

commit 87d0d85bbe271edfec2b47c77eb9363453e0ea86
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:17 2023 +0100

    db_flatstore: clang-format for coherent indentation and coding style

commit 0506390fe79adf99e7604e9bd894d64049255a04
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:16 2023 +0100

    db_cluster: clang-format for coherent indentation and coding style

commit 34dbf1f6e9f0fa4594358e86d08e43b3fbef6cda
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:16 2023 +0100

    db_cassandra: clang-format for coherent indentation and coding style

commit 2eacd4d1f03809a0c360d72e1544645d13f382a9
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:16 2023 +0100

    db_berkeley: clang-format for coherent indentation and coding style

commit 328c50cf7082a566dc45c4027173407fdc281d1c
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:16 2023 +0100

    db2_ops: clang-format for coherent indentation and coding style

commit f74546ea60cc8396963629b2f7ecfdb3eda26c54
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:15 2023 +0100

    db2_ldap: clang-format for coherent indentation and coding style

commit 00a589ae940ad57d23ba20a782bd120b0faea7fb
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:15 2023 +0100

    ctl: clang-format for coherent indentation and coding style

commit 4aaed849caa4102e1e6dacaf87cb59e3442ca87b
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:15 2023 +0100

    crypto: clang-format for coherent indentation and coding style

commit 6a2ddf46c230f52ba3050de09d7ef51db89705c5
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:15 2023 +0100

    cplc: clang-format for coherent indentation and coding style

commit ac887ff9c60afb3d64a7ad0cac93937722cadd61
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:14 2023 +0100

    counters: clang-format for coherent indentation and coding style

commit e62e59bcc5b3b39ca4edd82bf4b47d46ae06970a
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:14 2023 +0100

    corex: clang-format for coherent indentation and coding style

commit 8058e9792d2b6edd0b54305f503ffae09cd7e75f
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:14 2023 +0100

    cnxcc: clang-format for coherent indentation and coding style

commit 9c710f9f49eae88eafbd5d48f26bc2004b07acf8
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:13 2023 +0100

    cfgutils: clang-format for coherent indentation and coding style

commit 4b93525ee48addb639d9f2e8f3b48d71bbfd9d6f
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:13 2023 +0100

    cfgt: clang-format for coherent indentation and coding style

commit 8e0fcf49e099245d56d6c07cf720d87de2eb9f5f
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:13 2023 +0100

    cfg_db: clang-format for coherent indentation and coding style

commit 6c90e6d02177a0c011cc622a0a923961a0e4c2f8
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:13 2023 +0100

    cdp_avp: clang-format for coherent indentation and coding style

commit ab5d0672afe477b73b013d659c699dcace9e69aa
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:12 2023 +0100

    cdp: clang-format for coherent indentation and coding style

commit 62d86563ac12b21ca58d4348398c33d541521648
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:12 2023 +0100

    carrierroute: clang-format for coherent indentation and coding style

commit 55e3dad09f7e4713e980fbf6644d225d9f3a5367
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:12 2023 +0100

    call_obj: clang-format for coherent indentation and coding style

commit bc433aad6f5113aa82bb1745ddccf568cd182501
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:11 2023 +0100

    call_control: clang-format for coherent indentation and coding style

commit 4e88c91f7d53c89393679d7cbbf1db6b5c271517
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:11 2023 +0100

    blst: clang-format for coherent indentation and coding style

commit 662d2e7b1bb231ffa4df05647ab459df45e6bc91
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:11 2023 +0100

    benchmark: clang-format for coherent indentation and coding style

commit 52660184954ec006e5fd19019f08d7e43231b2a4
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:10 2023 +0100

    avpops: clang-format for coherent indentation and coding style

commit edb835f358c37ea4f7c1c6d93058df7a64a33620
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:10 2023 +0100

    avp: clang-format for coherent indentation and coding style

commit 356ebfff369b3c31faf5beb0325e5348674f85c4
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:10 2023 +0100

    auth_xkeys: clang-format for coherent indentation and coding style

commit 29a5e486f3b6d718602aa54ecbeab16ded3bd67e
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:10 2023 +0100

    auth_radius: clang-format for coherent indentation and coding style

commit 63734c2c9673305fcea19a586e1d8c22ca0896c7
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:09 2023 +0100

    auth_identity: clang-format for coherent indentation and coding style

commit 72d7e1ae51e8d5ef7b7fcd6d6669a751981f18ee
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:09 2023 +0100

    auth_ephemeral: clang-format for coherent indentation and coding style

commit efd322c9545aa3ea20479ef9e7b86c9d9b50da88
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:09 2023 +0100

    auth_diameter: clang-format for coherent indentation and coding style

commit c8e63afc3eefb48aa467675564b0e112d7c26461
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:08 2023 +0100

    auth_db: clang-format for coherent indentation and coding style

commit 73220b649e74871b2112fe6986275ad38d3691ca
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:08 2023 +0100

    auth: clang-format for coherent indentation and coding style

commit 32128afe1c318ef12930315700aaad90f277e5f3
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:08 2023 +0100

    async: clang-format for coherent indentation and coding style

commit a353fd233fe69b4f68dc13a3f3006d58e7d6c878
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:05 2023 +0100

    app_sqlang: clang-format for coherent indentation and coding style

commit f74712ffa1a046c7f2a1bbfbcfda0a2123c70295
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:04 2023 +0100

    app_ruby_proc: clang-format for coherent indentation and coding style

commit c6c092d06eb67a1adc2b8e9cf41aee37fef20a03
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:04 2023 +0100

    app_ruby: clang-format for coherent indentation and coding style

commit 109dcd5e000f132b2a7bea56dcb5bc26a5df0b8c
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:04 2023 +0100

    app_python3s: clang-format for coherent indentation and coding style

commit 36e1b4ddd1fa19d0e2e8be784f542be3d8b7437e
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:03 2023 +0100

    app_python3: clang-format for coherent indentation and coding style

commit 7c49badf234fae4c85e142384fd5144edec6fc95
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:03 2023 +0100

    app_python: clang-format for coherent indentation and coding style

commit bead4642b486884c27b04689d1ea6ccee0bebc6c
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:03 2023 +0100

    app_perl: clang-format for coherent indentation and coding style

commit 01232021a62be5328863621011888994dcbad0c4
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:02 2023 +0100

    app_mono: clang-format for coherent indentation and coding style

commit 5c1b3d0ca19e211e13c83e4645aaa2612317cd4e
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:02 2023 +0100

    app_lua_sr: clang-format for coherent indentation and coding style

commit 97a2b7f2a7ee93506e9c0f4bb87a49ff561993b2
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:02 2023 +0100

    app_lua: clang-format for coherent indentation and coding style

commit a1f0ffa96d2ff4812661abdfb3b09b446b06b516
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:01 2023 +0100

    app_jsdt: clang-format for coherent indentation and coding style

commit b3d2f6098ad6872682599caef06fde5a7667ba32
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:01 2023 +0100

    app_java: clang-format for coherent indentation and coding style

commit 2c8f49c133e8cda2f12c4d062fce1c1b9f6d13e4
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:01 2023 +0100

    acc_json: clang-format for coherent indentation and coding style

commit d5cd8420ab58a0d0aafa9d52f205139c12f3fcd4
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:00 2023 +0100

    acc_diameter: clang-format for coherent indentation and coding style

commit 9eda893ec73636c19cd3bad027c6cdd02274fa1a
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:29:00 2023 +0100

    acc: clang-format for coherent indentation and coding style

commit 9cc724115a21331621d126d04f7e83cad0de7227
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:12:51 2023 +0100

    lib: clang-format for coherent indentation and coding style

commit 2c98a073ecddb8dae8107e2bc30f5a3c78665ace
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Nov 11 00:11:22 2023 +0100

    core: clang-format for coherent indentation and coding style

commit 7af9dc940e29fa3aecda011096820e011de0b254
Author: Victor Seva <vseva@sipwise.com>
Date:   Mon Oct 23 14:36:49 2023 +0200

    pv_headers: pvh_xavi_get_child() fix fallback logic
    
    * don't fallback to Initial request headers for Replies
    
    (cherry picked from commit 19a32b863d9a79c0cbaf04a7a9864e0c08a914f7)

commit 02958e56fed877275b98a5cf0c568cc4e9175a8c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Oct 16 10:46:34 2023 +0200

    jwt: use proper internal function for jwt_verify_key()
    
    (cherry picked from commit 319df7fc417e898e945cac0d44e978c9ff151e3c)

commit bfbabc3407b984028fd47afdfde5217aef3d6fe5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Oct 6 13:48:42 2023 +0200

    pkg/kamailio/scripts: wrap param around quotes to avoid invalid syntax on empty
    
    Cherry-pick from 18b23187dd

commit 42f203569bc3dd2e4a6adb56803f34290f581c08
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Thu Oct 5 10:55:26 2023 +0800

    pkg: RPM - add mock config for EL8/EL9 based on alma+epel-(8|9)-x86_64
    
    This mock config can be used to build RPM packages from a kamailio src.rpm.
    - update pkg/kamailio/obs/README -> README.md to include mock
      instructions
    - add script create-src-rpm.sh to create src.rpm for package
      building
    
    Cherry-pick from 9de780b8a7

commit 04ef5978df1937a8b23f245edb5f51a0bf544cae
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Thu Oct 5 09:45:23 2023 +0800

    pkg: add example script to create tarball with submodules instantiated
    
    In preparation for packaging of tls_wolfssl, add an example script to
    create source tarball with submodule code.
    
    Cherry-pick from aed35ddb6a

commit c94a185e36709241438cb07f38b7c26f72f40e05
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Fri Oct 6 07:22:28 2023 +0800

    Update wolfSSL to v5.6.3-stable

commit ee9ed43318c8e49432445d33b475c67a3643d761
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Thu Oct 5 00:58:57 2023 +0800

    tls_wolfssl: clean up build
    
    Allow module to build if user specifies prefix= exec-prefix= on
    commandline
    
    Cherry-pick from a327cc0e3e


